//---------------------------------------------------------------------------
#ifndef DataPointAssignmentH
#define DataPointAssignmentH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
#include "PatchGraphContainer.h"
//---------------------------------------------------------------------------

namespace geoxl {

/// Extract initial patch graphs from point clouds.
class ANIMATIONRECONSTRUCTION_API DataPointAssignment : public Persistent {
	GEOXL_CLASS( DataPointAssignment )

	private:
	
	public:
		/// Assign data points to all patch graphs in container (max one patch per data point)
		static void assignDataPoints( PatchGraph* pg, const PointCloudAnimationSequence* animSeq, const float32 dataInfluenceRadius );

};

}

#endif