//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "NoiseLevelEstimator.h"
//---------------------------------------------------------------------------
#include "CopyObjectProperties.h"
#include "PatchGraph.h"
#include "InCorePCTopologyGraph.h"
#include "PointSet.h"
#include "PointSet_templCode.h"
#include "VertexDescriptor.h"
//---------------------------------------------------------------------------
using namespace geoxl;
using namespace std;
//---------------------------------------------------------------------------

IMPLEMENT_GEOXL_CLASS( NoiseLevelEstimator, 0 )
{
	BEGIN_CLASS_INIT( NoiseLevelEstimator )
}

/**
 * Constructor
 */
NoiseLevelEstimator::NoiseLevelEstimator() 
{
}

/**
 * Destructor
 */
NoiseLevelEstimator::~NoiseLevelEstimator() 
{
}

/** 
 * Estimate average noise level in point cloud
 */
float32 NoiseLevelEstimator::estimateNoiseLevel( PointCloud* pc )
{
	return 23;
}

/** 
 * Object assignment
 */
void NoiseLevelEstimator::assign(const Object* obj, CopyContext *context) 
{
	copyObjectProperties(obj, this);
}