//---------------------------------------------------------------------------
#ifndef PatchGraphComponentsHandlerH
#define PatchGraphComponentsHandlerH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
#include "PatchGraph.h"
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace geoxl {

/// Merge patch graphs
class ANIMATIONRECONSTRUCTION_API PatchGraphComponentsHandler : public Persistent {
	GEOXL_CLASS( PatchGraphComponentsHandler )

	private:
		
	public:
		/// Constructor
		PatchGraphComponentsHandler();
		/// Destructor
		~PatchGraphComponentsHandler();

		/// Detect non-connected components in a patch graph
		void detectComponents( PatchGraph* pg );
};
}

#endif