//---------------------------------------------------------------------------
#ifndef SmallDeformationAlignmentH
#define SmallDeformationAlignmentH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "AbstractMergeExtrapolator.h"
#include "PGOperationsDebugging.h"
#include "CorrespondenceExtrapolation.h"
//---------------------------------------------------------------------------

//namespace geoxl {
//
//class BSROptContext;
//class PatchGraphBSROpt;
//class StandardPatchGraphRenderer;
//class BSROptConfig;
//class FeatureList;
//
/////
/////  Merging of patch graphs using feature correspondences and probabilistic optimization
/////
//class ANIMATIONRECONSTRUCTION_API SmallDeformationAlignment : public AbstractMergeExtrapolator, public DebugRenderFunction {
//	GEOXL_CLASS( SmallDeformationAlignment )
//
// private:
//	PatchGraphBSROpt *optimizer;
//	StandardPatchGraphRenderer *visualization;
//
//	BSROptConfig *corrInterpConfig;
//	BSROptConfig *extrapolateConfig;
//	
//	PatchGraph						 *tmpPG;
//	PointCloudAnimationSequence *tmpData;
//	DebugRenderer					 *tmpDebugRenderer;
//	static void debugRedraw(void *context);
//   virtual void debugDraw() const;
//
//	void alignAndConnectParts(
//		AnimationBSRContext* context,
//		const PatchGraph *part1, 
//		const PatchGraph *part2,
//		card32 part1FrameIndex, 
//		card32 part2FrameIndex,
//		card32 nextAfterPart1DataIndex,
//		card32 destFrameIndex,
//		card32 extrapolatedPointsCopyIndex,
//		card32 part1StartPatch,
//		card32 part2StartPatch,
//		PatchGraph *combinedPG,
//		const vector<CorrespondenceExtrapolation::PatchCorrespondence> &knownCorrespondences,
//		DebugRenderer *debugRenderer, 
//		const bool verbose
//	);
//	
//	void computeFeatureMatch(
//		FeatureRegistration *featureMatcher,
//		vector< pair<Vector3f, Vector3f> > &matchingPoints, 
//		FeatureList *feat1,
//		FeatureList *feat2
//	);
//
//
// public:
//	SmallDeformationAlignment();
//
//	virtual void compute( 
//		AnimationBSRContext *context,
//		FeatureRegistration *featureMatcher,
//		const PatchGraph* pg1, const PatchGraph* pg2, 
//		PatchGraph* combinedPG,
//		DebugRenderer *debugRenderer, const bool verbose = false 
//	);
//	virtual void compute_Modified( 
//		AnimationBSRContext* context,
//		FeatureRegistration *featureMatcher,
//		const PatchGraph* pg1, const PatchGraph* pg2, 
//		PatchGraph* combinedPG,
//		const map<card32, Vector3f> &featureCorrespondences12,
//		const map<card32, Vector3f> &featureCorrespondences21,
//		DebugRenderer *debugRenderer,  
//		const bool verbose = false ){}
//
//	virtual void globalAssembly(AnimationBSRContext* context, 
//		PatchGraph* combinedPG,
//		DebugRenderer *debugRenderer,  
//		const bool verbose = false ){}
//	~SmallDeformationAlignment();
//
//};
//
//}

#endif