//---------------------------------------------------------------------------
#ifndef NonLinearOptimization_templCodeH
#define NonLinearOptimization_templCodeH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "NonLinearOptimization.h"
//---------------------------------------------------------------------------
#include "PAssert.h"
//---------------------------------------------------------------------------

namespace geoxl {

	 /*

template <typename FloatType, typename IntType = int32>
MVSFunctionWithNumericalGradientAdaptor<FloatType, IntType>::
// ------------------------------------------------------------------------------------------------------------
MVSFunctionWithNumericalGradientAdaptor(MultiVariateScalarFunction<FloatType, IntType> * mvsf, FloatType delta)
// ------------------------------------------------------------------------------------------------------------
{
   pAssert(mvsf);
   this->mvsf = mvsf;
   this->delta = delta;
}


template <typename FloatType, typename IntType = int32>
inline FloatType MVSFunctionWithNumericalGradientAdaptor<FloatType, IntType>::
// -------------
getDelta() const
// -------------
{
   return delta;
}


template <typename FloatType, typename IntType = int32>
inline void MVSFunctionWithNumericalGradientAdaptor<FloatType, IntType>::
// ----------------------
setDelta(FloatType delta)
// ----------------------
{
   pAssert(delta > (FloatType)0);
   this->delta = delta;
}

template <typename FloatType, typename IntType = int32>
IntType MVSFunctionWithNumericalGradientAdaptor<FloatType, IntType>::
// -----------------
getDimension() const
// -----------------
{
   pAssert(mvsf);
   return mvsf->getDimension();
}

template <typename FloatType, typename IntType = int32>
FloatType MVSFunctionWithNumericalGradientAdaptor<FloatType, IntType>::
// --------------------------------------------
calc(const DynamicVector<FloatType> &pos) const
// --------------------------------------------
{
   pAssert(mvsf);
   return mvsf->calc(pos);
}

template <typename FloatType, typename IntType = int32>
void MVSFunctionWithNumericalGradientAdaptor<FloatType, IntType>::
// ----------------------------------------------------------------------------------------
calcGradient(const DynamicVector<FloatType> &pos, DynamicVector<FloatType> &gradient) const
// ----------------------------------------------------------------------------------------
{
   DynamicVector<FloatType> modPos = pos;
   pAssert(mvsf);
   FloatType centerValue = mvsf->calc(pos);
   IntType dim = mvsf->getDimension();
   gradient.setDim(dim);
   for (IntType i=0; i<dim; i++) {
      modPos[i] = pos[i] + delta;
      gradient[i] = (mvsf->calc(modPos) - centerValue) / delta;
      modPos[i] = pos[i];
   }
}
*/

}

#endif

 