//---------------------------------------------------------------------------
#ifndef PatchGraphJoin2H
#define PatchGraphJoin2H
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace geoxl {

class PatchGraph;
class TrajectorySet;
class InCorePCTopologyGraph;

///
///   plz comment your class
///
class ANIMATIONRECONSTRUCTION_API PatchGraphJoin2 : public Persistent {
	GEOXL_CLASS( PatchGraphJoin2 )
 private:

	void createCombinedTrajectorySet( 
		TrajectorySet* ts, 
		InCorePCTopologyGraph* tg,
		const PatchGraph* pg1,
		const PatchGraph* pg2 );

 public:
	PatchGraphJoin2();

	virtual void assign(const Object* obj, CopyContext *context = NULL);

	PatchGraph *createCombinedPatchGraph( 
		const PatchGraph* pg1,
		const PatchGraph* pg2);

   ~PatchGraphJoin2();
};

}

#endif