//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "PGOpt2Config.h"
//---------------------------------------------------------------------------
#include "CopyObjectProperties.h"
#include "EmbeddedObjectClassProperty.h"
#include "EmbeddedObjectClassPropertyEditor.h"
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------



IMPLEMENT_GEOXL_CLASS( PGOpt2Config, 0 ) {
	BEGIN_CLASS_INIT( PGOpt2Config );

   ADD_OBJECT_PROP(params, 0, PGOpt2Parameters::getClass(), true);

   ADD_EMBEDDED_OBJECT_PROP(potentials, 0, PGOpt2PotentialSelector::getClass())
   SET_NAME("pot'ls");
   SET_EDITOR(EmbeddedObjectClassPropertyInlineEditor::getClass());

}

// ----

PGOpt2Config::PGOpt2Config() {
   params = new PGOpt2Parameters();
}

void PGOpt2Config::assign(const Object* obj, CopyContext *context) {
	copyObjectProperties(obj, this);
}

PGOpt2Config::~PGOpt2Config() {
   delete params;
}



