#ifndef FastFeaturesH
#define FastFeaturesH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace geoxl
{

	class MultiResolutionPC;
/**
	detects geometric features
*/
class ANIMATIONRECONSTRUCTION_API FastFeatures : public Persistent
{
	GEOXL_CLASS( FastFeatures )

private:


public:
	FastFeatures(void);
	~FastFeatures(void);

   virtual void assign(const Object* obj, CopyContext *context = NULL);

   vector<Vector3f> detectFeatures( MultiResolutionPC * pc );

};

}

#endif