#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "FeatureDetector.h"
//---------------------------------------------------------------------------
// insert your includes here
//---------------------------------------------------------------------------
using namespace geoxl;

IMPLEMENT_GEOXL_ABSTRACT_CLASS( FeatureDetector ,0)
{
	BEGIN_CLASS_INIT( FeatureDetector );
}

FeatureDetector::FeatureDetector(void)
{
}

FeatureDetector::~FeatureDetector(void)
{
}

void FeatureDetector::assign(const Object* obj, CopyContext *context)
{
	//Persistent::assign(obj,context);
}

vector<FeatureList*> FeatureDetector::detectFeatures( vector<PointCloud*> pcs, float radius ) 
{
	vector<FeatureList*> ret;
	for( card32 i=0;i<pcs.size();i++ )
		ret.push_back( detectFeatures(pcs[i], radius) );
	return ret;
}
