#ifndef MultiFrameCorrespondenceValidationH
#define MultiFrameCorrespondenceValidationH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace geoxl
{

class FeatureCorrespondences;

/**
	validates correspondences using global correspondence informations
*/
class ANIMATIONRECONSTRUCTION_API MultiFrameCorrespondenceValidation : public Persistent
{
	GEOXL_CLASS( MultiFrameCorrespondenceValidation )

private:


public:
	MultiFrameCorrespondenceValidation(void);
	~MultiFrameCorrespondenceValidation(void);

   virtual void assign(const Object* obj, CopyContext *context = NULL);

	void validateCorrspondences( FeatureCorrespondences * correspondences );

};

}

#endif