//---------------------------------------------------------------------------
#ifndef PCCAddOutliersH
#define PCCAddOutliersH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace geoxl {

///
///   adds random outliers to a point cloud
///
class ANIMATIONRECONSTRUCTION_API PCCAddOutliers : public PCCommand {
	GEOXL_CLASS( PCCAddOutliers )
 private:
   BoundingBox3f bb;
   card32 numOutliers;

 public:
	PCCAddOutliers();

	virtual void assign(const Object* obj, CopyContext *context = NULL);
   virtual void execute(Scene *scene);

   ~PCCAddOutliers();
};

}

#endif