//---------------------------------------------------------------------------
#ifndef PCCConvertPointCloudTypeInListH
#define PCCConvertPointCloudTypeInListH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace geoxl {

///
///   converts all point clouds in a list to a different type
///
class ANIMATIONRECONSTRUCTION_API PCCConvertPointCloudTypeInList : public PCCommand {
	GEOXL_CLASS( PCCConvertPointCloudTypeInList )
 private:
	string targetList;
	const MetaClass *newType;
	string newPrefix;

 public:
	PCCConvertPointCloudTypeInList();

	virtual void assign(const Object* obj, CopyContext *context = NULL);
	virtual void execute(Scene *scene);

   ~PCCConvertPointCloudTypeInList();
};

}

#endif