//---------------------------------------------------------------------------
#ifndef ARPointCloudSeqEvalH
#define ARPointCloudSeqEvalH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "ARSequenceEvaluator.h"
//---------------------------------------------------------------------------

namespace geoxl {

///
///   evaluates sequences with point clouds
///
class DEFORMATION_API ARPointCloudSeqEval : public ARSequenceEvaluator {
	GEOXL_CLASS( ARPointCloudSeqEval )
 private:

 public:
	ARPointCloudSeqEval();

   virtual void evalSeq(
      ARSequence *seq, 
      SGListNode *target, 
      DeformationEvaluator *deformEval,
      ARSettings *settings);

   ~ARPointCloudSeqEval();
};

}

#endif