//---------------------------------------------------------------------------
#ifndef ShapeEvaluatorH
#define ShapeEvaluatorH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "AROptimizationTool.h"
//---------------------------------------------------------------------------

namespace geoxl {

///
///   this class evaluates the shapes computed with a ShapeReconstruction tool
///
class DEFORMATION_API ShapeEvaluator : public AROptimizationTool {
	GEOXL_ABSTRACT_CLASS( ShapeEvaluator )
 public:
   virtual PointCloud *evaluate() = 0;
};

}

#endif