//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "SGDeformationConstraintsList.h"
//---------------------------------------------------------------------------
#include "CopyObjectProperties.h"
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------



IMPLEMENT_GEOXL_CLASS( SGDeformationConstraintsList , 0 ) {
	BEGIN_CLASS_INIT( SGDeformationConstraintsList );
	ADD_VAR_ARRAY_PROP( constraints, 0, new ObjectClassProperty("", 0, NULL, GeneralARConstraint::getClass(), true, NULL) )
}

// ----

SGDeformationConstraintsList::SGDeformationConstraintsList() {
}

SGDeformationConstraintsList::~SGDeformationConstraintsList() {
	for (unsigned i=0; i<constraints.size(); i++) {
		delete constraints[i];
	}
}




max_platform_card SGDeformationConstraintsList::getNumChildNodes(const SceneGraphState *state) const 
{
	return 0;
}

SceneGraphNode *SGDeformationConstraintsList::getChildNode(const SceneGraphState *state, max_platform_card i) 
{
	return NULL;
}

void SGDeformationConstraintsList::removeChildNode(string name) 
{
	pAssert(false);
}

bool SGDeformationConstraintsList::canAddChildNode() 
{
	return false;
}

bool SGDeformationConstraintsList::addChildNode(SceneGraphNode *node) 
{
	return false;
}

void SGDeformationConstraintsList::addConstraint(GeneralARConstraint *constr) 
{
	constraints.push_back(constr);
}

mpcard SGDeformationConstraintsList::getNumConstraints() 
{
	return constraints.size();
}

const GeneralARConstraint *SGDeformationConstraintsList::getConstraint(mpcard index) const
{
	return constraints[index];
}

GeneralARConstraint *SGDeformationConstraintsList::getConstraint(mpcard index)
{
	return constraints[index];
}

void SGDeformationConstraintsList::deleteConstraint(mpcard index) 
{
   if (index >= constraints.size()) {
      throw ERangeCheck("SGDeformationConstraintsList::deleteConstraint() - index out of bounds");
   } else {
		delete constraints[index];
      constraints.erase(constraints.begin()+index);
   }
}
