//---------------------------------------------------------------------------
#ifndef ARCOMPUTESHAPEDISTANCE_H
#define ARCOMPUTESHAPEDISTANCE_H
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PTypes.h"
//---------------------------------------------------------------------------


namespace geoxl {

class PointCloud;
class ARSettings;


/// computes the distance between two point clouds using ICP constraints
class DEFORMATION_API ARComputeShapeDistance {
 public:
   /// computes the symmetric mean-square distance between two shapes
   static void computeShapeDistance(
      PointCloud *pc1,
      PointCloud *pc2,
      ARSettings *settings
   );
};


}

#endif
