//---------------------------------------------------------------------------
#ifndef ARNULLCONSTRAINTSINTERFACE_H
#define ARNULLCONSTRAINTSINTERFACE_H
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "ARConstraintsInterface.h"
//---------------------------------------------------------------------------


namespace geoxl {


class ARNullConstraintsInterface : public ARConstraintsInterface {
public:
   virtual void addGeneralConstraint(const GeneralARConstraint *c) {};
   virtual void addPositionConstraint(const PositionARConstraint *c) {};
   virtual void addHalfSpaceConstraint(const ARHalfSpaceConstraint *c) {};
	virtual void addSpatialDerivativeConstraint(const SpatialDerivativeARConstraint *c) {};
	virtual void addSimpleSpatialDerivativeConstraint(const SimpleSpatialDerivativeARConstraint *c) {};
};


}

#endif
