//---------------------------------------------------------------------------
#ifndef ARRecomputeTopologyH
#define ARRecomputeTopologyH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace geoxl {

class UnstructuredInCorePointCloud;
class ARSettings;

///
///   This class provides functionality to (re)compute the topology of point clouds
///
class DEFORMATION_API ARRecomputeTopology : public Persistent {
 public:
   /// the result is stored as a point cloud attachment
   static void recomputeTopology(UnstructuredInCorePointCloud *pc, const ARSettings *settings);
};

}

#endif