//---------------------------------------------------------------------------
#ifndef ARSetUrshapeDataWeightH
#define ARSetUrshapeDataWeightH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace geoxl {

class ARSequence;
class DeformationEvaluator;
class ARSettings;

///
///   This class counts the number of adjacent points and accumulates the count in a channel
///
class DEFORMATION_API ARSetUrshapeDataWeight : public Persistent {
 public:
   static void accumDataWeight(
      ARSequence *seq, 
      const vector<PointCloud*> &data,
      DeformationEvaluator *eval,
      ARSettings *settings);
};

}

#endif