//---------------------------------------------------------------------------
#ifndef DataToUrshapeH
#define DataToUrshapeH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PTypes.h"
//---------------------------------------------------------------------------

namespace geoxl {

class ARSequence;
class DeformationEvaluator;
class PointCloud;
class ARSettings;

///
///   project data into urshape domain
///
class DEFORMATION_API DataToUrshape {
 public:
   static UnstructuredInCorePointCloud *transfD2U(
      ARSequence *seq,
      vector<PointCloud *> data,
      DeformationEvaluator *deformEval,
      ARSettings *settings
   );
};

}

#endif