//---------------------------------------------------------------------------
#ifndef PCCRenameNodeH
#define PCCRenameNodeH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace geoxl {

///
///   renaming a node with this tool appears in the command history
///
class DEFORMATION_API PCCRenameNode : public PCCommand {
	GEOXL_CLASS( PCCRenameNode )
 private:
   string targetPath;
   string newNodeName;

 public:
   virtual void execute(Scene *scene);
};

}

#endif