//---------------------------------------------------------------------------
#ifndef MeshExporterH
#define MeshExporterH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include <fstream>
//---------------------------------------------------------------------------
#include "PointCloud.h"
#include "VertexDescriptor.h"
#include "PointCloudIterators.h"
//---------------------------------------------------------------------------


namespace geoxl {


class MeshExporter {
 private:
   PointCloud* pc;
   std::ofstream* outf;

 public:
   MeshExporter(PointCloud* pc, std::ofstream* outf);
   void exportPointCloud();
};

}
















#endif
