//---------------------------------------------------------------------------
#include "stdafx.h"
 
//---------------------------------------------------------------------------
#include "PCSceneClassEditors.h"
//---------------------------------------------------------------------------
 
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------



MetaClass* PCSceneClassEditor::PCSceneClassEditorMetaClass = NULL;

const MetaClass* PCSceneClassEditor::getInstanceClass() const {
   return getClass();
}

const MetaClass* PCSceneClassEditor::getClass() {
   if (PCSceneClassEditorMetaClass==NULL) {
      PCSceneClassEditorMetaClass = new MetaClass("PCSceneClassEditor", "no description.",
                                                  NULL, sizeof(PCSceneClassEditor));
   }
   return PCSceneClassEditorMetaClass;
}

void PCSceneClassEditor::init(const MetaClass *parentClass, card32 uniqueIdentifier) {
   ((MetaClass*)getClass())->init(uniqueIdentifier, parentClass);
   PCSceneClassEditorMetaClass->copyParentProperties();
}

void PCSceneClassEditor::shutdown() {
   delete PCSceneClassEditorMetaClass;
}


// ----
