//---------------------------------------------------------------------------
#ifndef PCCAnimRenameH
#define PCCAnimRenameH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace geoxl
{

/**
   rename a selected animation node to numbered frame sequence
*/
class EDITOR_API PCCAnimRename : public PCCommand {
	GEOXL_CLASS( PCCAnimRename )

 private:
   string prefix;
   card32 startIndex;

 public:
	PCCAnimRename();

   virtual void execute(Scene *scene);

	virtual ~PCCAnimRename();
};

}

#endif