//---------------------------------------------------------------------------
#ifndef PCCParametricResamplingH
#define PCCParametricResamplingH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace geoxl {


class EDITOR_API PCCParametricResampling : public PCCommand
{
 private:
   static MetaClass *PCCParametricResamplingMetaClass;
   static Object* newInstance();

   card32 xSamplingRate;
   card32 ySamplingRate;

 public:
   PCCParametricResampling();
   virtual const MetaClass *getInstanceClass() const;
   static const MetaClass *getClass();
   static void init(const MetaClass *parentClass);
   static void shutdown();

   virtual void execute(Scene *scene);
};

};
#endif
