//---------------------------------------------------------------------------
#ifndef PCCSortListNodeH
#define PCCSortListNodeH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace geoxl {

///
///   sorts entries in SGListNodes (and descendants, such as animation nodes) by name
///
class EDITOR_API PCCSortListNode : public PCCommand {
	GEOXL_CLASS( PCCSortListNode )
 private:
   bool descending;
   bool byLengthFirst;

 public:
	PCCSortListNode();

	virtual void assign(const Object* obj, CopyContext *context = NULL);
   virtual void execute(Scene *scene);

   ~PCCSortListNode();
};

}

#endif