#ifndef AddToToolbarWidgetH
#define AddToToolbarWidgetH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include <qtGui/qdialog.h>
#include <QtCore/QTimer>
#include "PTypes.h"
#include "RGBAImage.h"
//---------------------------------------------------------------------------
//this file is generated from the ui file by a custom buildstep, include it here
#include "AddToToolbarDlg_ui.h"
//---------------------------------------------------------------------------

namespace geoxl
{
	using namespace std;

class SceneEditorWidget;


class EDITOR_API AddToToolbarWidget : public QDialog
{
	Q_OBJECT

private:

	RGBAImage	*	m_Icon;

public:
	AddToToolbarWidget(QWidget *parent);
	~AddToToolbarWidget(void);


	enum EEventType
	{
		Class=1,
		Object=2,
		Command=3,
	};

	void setup( string className, bool et_object, bool et_command, EEventType init_eventType );
	
	int getEventType();
	RGBAImage * getIcon();
	string getShortDesc();
	string getTooltip();
	int getShortCutKey();
	int getShortCutModifer();

	
	
private slots:

	void on_pbLoad_clicked();

protected:
	///used to access buttons, etc. from QtDesigner
	Ui_AddToToolbarDlg ui;


};


}

#endif
