//---------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------
#include "AppendFieldsDialogs.h"
//---------------------------------------------------------------------------
#include "VertexDescriptor.h"
#include "ClassEditor.h"
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------



AppendFieldsDialog::AppendFieldsDialog(QWidget* Owner, VertexDescriptor *vd)
   : QDialog(Owner)
{
   ui.setupUi(this);
	this->vd = vd;
   ed = (ClassEditor*)(vd->getInstanceClass()->getGUIDescriptor()->getDefaultClassEditor()->newInstance());
   widget = ed->makeEditor(this, vd);
   widget->setParent(ui.groupBox);
   
  
}
//---------------------------------------------------------------------------
bool AppendFieldsDialog::execute(QWidget* Owner, VertexDescriptor *vd, bool remove) {
   AppendFieldsDialog *diag= new AppendFieldsDialog(Owner, vd);
   if (remove)
   {
	   diag->setWindowTitle(QString("Remove Channel"));
	   diag->ui.label->setText("Enter Channel to remove (1 only)");
   }

   if (diag->exec()==QDialog::Accepted) {
      delete diag;
      return true;
   } else {
      delete diag;
      return false;
   }
}

AppendFieldsDialog::~AppendFieldsDialog() {
   delete widget;
   delete ed;
}

//---------------------------------------------------------------------------
#include "AppendFieldsDialogs_moc.cpp"
//---------------------------------------------------------------------------



