//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "SceneClassEditors.h"
//---------------------------------------------------------------------------
 
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------



MetaClass* SceneClassEditor::SceneClassEditorMetaClass = NULL;

const MetaClass* SceneClassEditor::getInstanceClass() const {
   return getClass();
}

const MetaClass* SceneClassEditor::getClass() {
   if (SceneClassEditorMetaClass==NULL) {
      SceneClassEditorMetaClass = new MetaClass("SceneClassEditor", "no description.",
                                                  NULL, sizeof(SceneClassEditor));
   }
   return SceneClassEditorMetaClass;
}

void SceneClassEditor::init(const MetaClass *parentClass) {
   ((MetaClass*)getClass())->init(parentClass);
   SceneClassEditorMetaClass->copyParentProperties();
}

void SceneClassEditor::shutdown() {
   delete SceneClassEditorMetaClass;
}


// ----
