#ifndef BooleanPropertyEditorH
#define BooleanPropertyEditorH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PropertyEditor.h"
//---------------------------------------------------------------------------

namespace geoxl
{

class BooleanElementEditor;

class BooleanPropertyEditor : public PropertyEditor
{
	GEOXL_CLASS( BooleanPropertyEditor )

private:

	BooleanElementEditor	*	m_ElementEditor;


public:
	BooleanPropertyEditor(void);
	~BooleanPropertyEditor(void);

	/// creates an editor
	virtual QWidget *makeEditor(QWidget * parent, bool readOnly);	

	/// update editor
	virtual void update();

   virtual card32 getPreferredHeight();



};

}

#endif