#ifndef CustomCheckBoxH
#define CustomCheckBoxH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include <qtGUI/qCheckBox>
//---------------------------------------------------------------------------

namespace geoxl
{

class FOUNDATION_API CustomCheckBox : public QCheckBox
{
	Q_OBJECT

private:

	char * m_Data;

public: 
	CustomCheckBox(QString desc, QWidget * parent) : QCheckBox( desc, parent ) 
	{
		connect( this, SIGNAL(stateChanged(int)), SLOT(sltStateChanged(int)));
	}

	void setCustomData( char * data ) {m_Data = data;}

public slots:
	
	void sltStateChanged( int state );

signals:

	void sigStateChanged( bool checked, char * data);

};

}

#endif