#ifndef EmbeddedObjectClassPropertyEditorH
#define EmbeddedObjectClassPropertyEditorH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "ElementEditor.h"
//---------------------------------------------------------------------------

namespace geoxl
{

class EmbeddedObjectElementEditor;
class EmbeddedObjectInlineElementEditor;


class FOUNDATION_API EmbeddedObjectClassPropertyEditor : public PropertyEditor
{
	GEOXL_CLASS( EmbeddedObjectClassPropertyEditor )

private:
	
	EmbeddedObjectElementEditor	*	m_ElementEditor;

public:
	EmbeddedObjectClassPropertyEditor(void);

	/// creates an editor
	virtual QWidget *makeEditor(QWidget * parent, bool readOnly);	

	/// update editor
	virtual void update();

   virtual card32 getPreferredHeight();

};


// ----


class FOUNDATION_API EmbeddedObjectClassPropertyInlineEditor : public PropertyEditor
{
	GEOXL_CLASS( EmbeddedObjectClassPropertyInlineEditor )

private:
	
	EmbeddedObjectInlineElementEditor	*	m_ElementEditor;

public:
	EmbeddedObjectClassPropertyInlineEditor(void);

	/// creates an editor
	virtual QWidget *makeEditor(QWidget * parent, bool readOnly);	

	/// update editor
	virtual void update();

   virtual card32 getPreferredHeight();

};

}

#endif