//---------------------------------------------------------------------------
#ifndef EnumerationPropertyEditorH
#define EnumerationPropertyEditorH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PropertyEditor.h"
//---------------------------------------------------------------------------

namespace geoxl {

class EnumerationElementEditor;

class EnumerationPropertyEditor : public PropertyEditor
{
	GEOXL_CLASS( EnumerationPropertyEditor )

private:

	EnumerationElementEditor	*	m_ElementEditor;

public:
	EnumerationPropertyEditor(void);

	/// creates an editor
	virtual QWidget *makeEditor(QWidget * parent, bool readOnly);	

	/// update editor
	virtual void update();

   virtual card32 getPreferredHeight();


};

}

#endif