//---------------------------------------------------------------------------
#ifndef FileNamePropertyEditorH
#define FileNamePropertyEditorH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PropertyEditor.h"
//---------------------------------------------------------------------------


namespace geoxl {

class FileNameElementEditor;

class FOUNDATION_API FileNamePropertyEditor : public PropertyEditor
{
	GEOXL_CLASS( FileNamePropertyEditor )

private:

	FileNameElementEditor	*	m_ElementEditor;

public:
	FileNamePropertyEditor(void);
	~FileNamePropertyEditor(void);

	/// creates an editor
	virtual QWidget *makeEditor(QWidget * parent, bool readOnly);	

	/// update editor
	virtual void update();

   virtual card32 getPreferredHeight();


};

}

#endif