//---------------------------------------------------------------------------
#ifndef PopupWindowH
#define PopupWindowH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include <QtGui/QWidget.h>
//---------------------------------------------------------------------------

namespace geoxl {

class FOUNDATION_API PopupWindow : public QWidget {
	Q_OBJECT

 private:
	bool idontcare;
	
 protected:
	#ifdef WIN32
	bool winEvent(MSG *message, long *result);
	#else
	void leaveEvent(QEvent *event);
	#endif
	
 public:
	PopupWindow(QWidget *parent);
	
	void popup(int x, int y);
	void popup(QWidget *belowThis);
};

}

#endif