#ifndef ProgressWindowWidgetH
#define ProgressWindowWidgetH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include <QtGui/Qwidget.h>
#include "PTypes.h"
//---------------------------------------------------------------------------
//this file is generated from the ui file by a custom buildstep, include it here
#include "ProgressWindowWidgetForm_ui.h"
//---------------------------------------------------------------------------

namespace geoxl
{
class ProgressWindowWidget :
	public QWidget
{
	Q_OBJECT;
public:
	ProgressWindowWidget(QWidget *parent);
	~ProgressWindowWidget(void);
	void showForm();
	void setToolProgress(card32 position);
	void setOverallProgress(card32 position);
	void setToolProgressAvailable(bool available);
	void setOverallProgressAvailable(bool available);
	void setToolName(std::string name);
	void setToolMessage(std::string msg);
	void drawUpdates();
	void closeForm();

protected:
	Ui_ProgressWindowWidgetForm ui;
};

extern ProgressWindowWidget *progressWindowWidget;

}

#endif
