#ifndef ScriptEngineEditorWidgetH 
#define ScriptEngineEditorWidgetH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "ClassEditor.h"
#include "ScriptEngineEditorForm_ui.h"
//---------------------------------------------------------------------------

namespace geoxl
{
	using namespace std;

class ScriptEngine;

class FOUNDATION_API ScriptEngineEditorWidget : public QWidget
{
	Q_OBJECT


private:
	ScriptEngine	*	m_ScriptEngine;

	///used to access buttons, etc. from QtDesigner
	Ui_ScriptEngineEditorForm ui;


public:
	ScriptEngineEditorWidget(QWidget * parent = NULL, Qt::WFlags f=0);
	~ScriptEngineEditorWidget(void);

	void setup( ScriptEngine * obj );

	/// update editor content with object data
	void updateEditor();


public slots:
	void sltBTSyntaxCheckClicked();
	void sltBTApplyClicked();

};

MAKE_CLASS_EDITOR( FOUNDATION_API , ScriptEngine )


}

#endif