//---------------------------------------------------------------------------
#ifndef UnitTestsH
#define UnitTestsH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include <vector>
#include <string>
//---------------------------------------------------------------------------
#include "PTypes.h"
//---------------------------------------------------------------------------

namespace geoxl {
	using namespace std;

typedef void (*UnitTest)();

class FOUNDATION_API UnitTests {
 private:
	static vector<UnitTest> tests;
	static vector<string> names;

 public:
	static void addTest(UnitTest test, string name);
	static card32 getNumTests();
	static UnitTest getTest(card32 i);
	static string getTestName(card32 i);
};

};

#endif