#ifndef VariableArrayClassPropertyEditorH
#define VariableArrayClassPropertyEditorH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PropertyEditor.h"
//---------------------------------------------------------------------------

namespace geoxl
{

class VariableArrayElementEditor;
	
class FOUNDATION_API VariableArrayClassPropertyEditor : public PropertyEditor
{
	GEOXL_CLASS( VariableArrayClassPropertyEditor )

private:
	VariableArrayElementEditor	*	m_ElementEditor;	

public:
	VariableArrayClassPropertyEditor(void);

	/// creates an editor
	virtual QWidget *makeEditor(QWidget * parent, bool readOnly);	

	/// update editor
	virtual void update();

   virtual card32 getPreferredHeight();

};

}

#endif