//---------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------
#include "RegressionLine.h"
//---------------------------------------------------------------------------
using namespace geoxl;


/**
 * Clear
 */
void RegressionLine::clear()
{
   pca.clear();
   Line::clear();
}

/**
 * Clear
 */
void RegressionLine::addPoint( Vector3f p )
{
   pca.addPoint( p );
}

/**
 * Clear
 */
bool RegressionLine::computeRegressionLine()
{
   Vector3f eigenValues;
	Matrix3f eigenVectors;
   pca.analyze( eigenValues, eigenVectors, point );
   dir = eigenVectors[0];
   return ( ( eigenValues[1] / eigenValues[0] ) < 1e-1 );
}
