//---------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------
#include "ColorTools.h"
//---------------------------------------------------------------------------
#include <qtGUI/QColor>
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------


Vector3f FOUNDATION_API geoxl::convertRGBtoHSV( const Vector3f &rgb )
{
	QColor col(rgb[0]*255.0f,rgb[1]*255.0f,rgb[2]*255.0f);
	int h,s,v;
	col.getHsv(&h,&s,&v);
	return makeVector3f(h,s,v) / 255.0f;
}

Vector3f FOUNDATION_API geoxl::convertHSVtoRGB( const Vector3f &hsv )
{
	QColor col;
	col.setHsv(hsv[0]*255.0f,hsv[1]*255.0f,hsv[2]*255.0f);
	return makeVector3f(col.red(),col.green(),col.blue()) / 255.0f;
}