//---------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------
#include "Histogram.h"
//---------------------------------------------------------------------------
#include "StringHelper.h"
//---------------------------------------------------------------------------
using namespace geoxl;
using namespace std;
//---------------------------------------------------------------------------


void Histogram::addEntry(int bin, double increment) {
	map<int, double>::iterator pos = entries.find(bin);
	if (pos != entries.end()) {
		pos->second += increment;
	} else {
		pair<int, double> entry(bin, increment);
		entries.insert(entry);
	}
}

string Histogram::toString(float32 binScale) {
	string result;
	map<int, double>::iterator pos = entries.begin();
	map<int, double>::iterator end = entries.end();
	while (pos != end) {
		result += floatToStr(pos->first*binScale) + string("\t") + intToStr(pos->second) + string("\n");
		++pos;
	}
	return result;
}
