//---------------------------------------------------------------------------
#ifndef HistogramH
#define HistogramH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include <map>
//---------------------------------------------------------------------------

namespace geoxl {
	using namespace std;

class FOUNDATION_API Histogram {
 private:
	map<int, double> entries;
	
 public:	
	void addEntry(int bin, double increment);
	string toString(float32 binScale = 1.0f);
};

}

#endif