#ifndef ManualImageFeaturesH
#define ManualImageFeaturesH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace geoxl
{
	class RGBAImage;
	class ManualImageFeaturesEditorWidget;
/**
	plz comment your class
*/
class FOUNDATION_API ManualImageFeatures : public Persistent
{
	GEOXL_CLASS( ManualImageFeatures )

private:

	friend ManualImageFeaturesEditorWidget;
	vector<Vector2f> imPoints;
	IMPLEMENT_VAR_ARRAY_METHODS_STL(imPoints)
	IMPLEMENT_VAR_ARRAY_METHODS_STL(imPoints_reProjected)
	RGBAImage* image;

public:
	vector<Vector2f> imPoints_reProjected;

	ManualImageFeatures(void);
	~ManualImageFeatures(void);
	RGBAImage* getImage(){return image;}
	vector<Vector2f> getFeatures(){return imPoints;};
	vector<Vector2f> getFeatures_reProjected(){return imPoints_reProjected;};



   virtual void assign(const Object* obj, CopyContext *context = NULL);

};

}

#endif