//---------------------------------------------------------------------------
#ifndef TimeControllerH
#define TimeControllerH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PTypes.h"
//---------------------------------------------------------------------------

namespace geoxl {


class FOUNDATION_API TimeController { /* INTERFACE */
 public:
   /** create new time value after deltaTReal real time has passed since the lastTime-value was generated */
   virtual float32 getNewTime(float32 lastTime, float32 deltaTReal) = 0;
};

}

#endif