//---------------------------------------------------------------------------
#include "stdafx.h"

//---------------------------------------------------------------------------
#include "Timer.h"
#ifdef PLATFORM_WINDOWS
#include <mmsystem.h>
#endif
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------


#ifdef PLATFORM_WINDOWS
Timer::Timer() {
   timeBeginPeriod(1);
   lastTime = timeGetTime();
}

card32 Timer::getCurrentValue() {
   return timeGetTime();
}

card32 Timer::getDeltaValue(card32 lastValue) {
   return timeGetTime() - lastValue;
}

card32 Timer::getDeltaValue() {
   card32 t = timeGetTime();
   card32 result = t - lastTime;
   lastTime = t;
   return result;
}

Timer::~Timer() {
   timeEndPeriod(1);
}
#endif
