//---------------------------------------------------------------------------
#ifndef ToolsH
#define ToolsH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include <string>
//---------------------------------------------------------------------------


namespace geoxl {
   using namespace std;

class Object;

#ifdef _DEBUG
   template <class T>
   void forget(T) {}
#else
	#ifdef TARGET_PLATFORM_MSVC2005FF
   #pragma warning(disable:4101)
   #endif
   #define forget(T)
#endif

extern void FOUNDATION_API notImplemented();

string FOUNDATION_API makeObjectDescription(const Object *obj, bool shortDescr = false);

extern FOUNDATION_API bool FileExists( const char * filename );

}

#endif
