//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "SeparatorClassProperty.h"
//---------------------------------------------------------------------------
#ifdef GEOXL_GUI
	#include "SeparatorPropertyEditor.h"
#endif
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------


IMPLEMENT_GEOXL_CLASS( SeparatorClassProperty ,0)
{
	BEGIN_CLASS_INIT( SeparatorClassProperty );
}

SeparatorClassProperty::SeparatorClassProperty(const string name)
: SingleClassProperty(name, 0) {
	#ifdef GEOXL_GUI
	addPropertyEditor(SeparatorPropertyEditor::getClass(), true);
	#endif
}

ClassProperty* SeparatorClassProperty::copyClassProperty() {
	return new SeparatorClassProperty(getCName());
}



