//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "PCIDemonstrator.h"
#include "PointCloudTools.h"
#include "ParametricInCorePointCloud.h"
#include "UnstructuredInCorePointCloud.h"
#include "PCCResampler.h"
#include "PointSetKNNQuery.h"
#include "ClassMethods.h"
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------



IMPLEMENT_GEOXL_CLASS( PCIDemonstrator, 1 ) {
   BEGIN_CLASS_INIT( PCIDemonstrator );
	ADD_FLOAT32_PROP(magic, 1)
	ADD_VECTOR3F_PROP(voodoo, 1)
	ADD_MATRIX3F_PROP(black, 1)
	ADD_NOARGS_METHOD(dosomething)
}

PCIDemonstrator::PCIDemonstrator() {
	magic = 42;
	voodoo = makeVector3f(20,3,1);
	black = IDENTITY3F;
}



PCIDemonstrator::~PCIDemonstrator() {}


void geoxl::PCIDemonstrator::dosomething()
{
	debugOutput << "I am doing something (at least).\n";
}
