//---------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------
#include "InitGeoXLKinect.h"
#include "PCIKinectCapture.h"
#include "PCIKinectCaptureEditorWidget.h"
#include "PCIDGPExperiment.h"
#include "PCIDemonstrator.h"
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------


void geoxl::initGeoXLKinect() {
   PCIKinectCapture::init(PCInteractionTool::getClass());
	PCIKinectCaptureEditor::init(ClassEditor::getClass() );
	((GUIDescriptor*)PCIKinectCapture::getClass()->getGUIDescriptor())->addClassEditor(
		PCIKinectCaptureEditor::getClass(), true);
	PCIDGPExperiment::init(PCInteractionTool::getClass());
	PCIDemonstrator::init(PCIDGPExperiment::getClass());
}


void geoxl::shutdownGeoXLKinect() {
   PCIKinectCapture::shutdown();
	PCIDGPExperiment::shutdown();
	PCIDemonstrator::shutdown();
}