// geoxlKinect.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include "geoxlKinect.h"
#include "InitGeoXLKinect.h"


#ifdef _MANAGED
#pragma managed(push, off)
#endif

BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
		geoxl::initGeoXLKinect();
		break;
	case DLL_PROCESS_DETACH:
		geoxl::shutdownGeoXLKinect();
		break;
	case DLL_THREAD_ATTACH:
		break;
	case DLL_THREAD_DETACH:
		break;
	}
    return TRUE;
}

#ifdef _MANAGED
#pragma managed(pop)
#endif


