//---------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------
#include "InitGLTools.h"
//---------------------------------------------------------------------------
#ifdef GEOXL_GUI
	#include "glTools_resources_rcc.h"
#endif
//---------------------------------------------------------------------------
#include "GLEventDisplayer.h"
#include "GLPointCloudDisplayer.h"
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------


void geoxl::initGLTools() {
	#ifdef GEOXL_GUI
    qInitResources();
	#endif

	GLEventObject::init(Object::getClass());
		GLPointCloudDisplayer::init(GLEventObject::getClass());

}

void geoxl::shutdownGLTools() {
	GLEventObject::shutdown();
	GLPointCloudDisplayer::shutdown();
}
