//---------------------------------------------------------------------------
#ifndef AttachedMemoryManagerH
#define AttachedMemoryManagerH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "AttachedData.h"
#include "MemoryManager.h"
//---------------------------------------------------------------------------

namespace geoxl {


class AttachedMemoryManager : public AttachedData {
 private:
   MemoryManager *m_memoryManager;

 public:
   AttachedMemoryManager() {m_memoryManager = NULL;}

   MemoryManager *getMemoryManager() {return m_memoryManager;}
   void setMemoryManager(MemoryManager *m) {m_memoryManager = m;}

   ~AttachedMemoryManager() {delete m_memoryManager;}
};

}

#endif
 