//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "PointSetTools.h"
//---------------------------------------------------------------------------
#include "PointSet.h"
#include "PointSet_templCode.h"
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------




void geoxl::removePoints(PointSet *ps, const vector<bool> &keep) 
{
   size_t numPoints = ps->getNumEntries();
   if (numPoints > keep.size()) numPoints = keep.size();
   card32 writePos = 0;
   for (card32 i=0; i<numPoints; i++) {
      if (keep[i]) {
         ps->setVertex(writePos, ps->getDataPointer(i));
         writePos++;
      }
   }
   ps->changeHeight(writePos);
}
