//---------------------------------------------------------------------------
#ifndef RenderableObjectH
#define RenderableObjectH
//---------------------------------------------------------------------------

namespace geoxl {

class SceneObject;

/// inherit from this interface to make objects self-rendarable (typ. used for visualizing attachemnts)
class RenderableObject { /* INTERFACE CLASS */
 public:
	virtual void renderGL(SceneObject *obj) = 0;
};

}

#endif