//---------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------
#include "SceneObjectIterator.h"
//---------------------------------------------------------------------------
#include "LinearAlgebra_templCode.h"
#include "BoundingBox_templCode.h"
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------



MetaClass* SceneObjectIterator::SceneObjectIteratorMetaClass = NULL;

const MetaClass* SceneObjectIterator::getInstanceClass() const {
   return getClass();
}

Object* SceneObjectIterator::newInstance() {
   return new SceneObjectIterator;
}

const MetaClass* SceneObjectIterator::getClass() {
   if (SceneObjectIteratorMetaClass==NULL) {
      SceneObjectIteratorMetaClass = new MetaClass("SceneObjectIterator", "no description.",
                                  newInstance, sizeof(SceneObjectIterator));
   }
   return SceneObjectIteratorMetaClass;
}

void SceneObjectIterator::init(const MetaClass *parentClass) {
   ((MetaClass*)getClass())->init(parentClass);
   SceneObjectIteratorMetaClass->copyParentProperties();
}

void SceneObjectIterator::shutdown() {
   delete SceneObjectIteratorMetaClass;
}


// ----

