//---------------------------------------------------------------------------
#ifndef GLVolumeMaterialStandardH
#define GLVolumeMaterialStandardH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "GLMaterial.h"
//---------------------------------------------------------------------------

namespace geoxl
{

class RENDERING_API GLVolumeMaterialStandard : public GLMaterial
{
	GEOXL_CLASS( GLVolumeMaterialStandard )
 public:

   GLVolumeMaterialStandard();
   virtual ~GLVolumeMaterialStandard();

   virtual void draw( Scene * scene, SceneGraphState *state, SceneObject * obj,
      SceneObjectIterator *iter, GLContext * context, MemoryManager * mm = NULL,
      const int32 includeFlags = 0, const int32 excludeFlags = PF_FLAG_INVALID );

   virtual void assign(const Object* obj, CopyContext *context=NULL );

};

}

#endif

