//---------------------------------------------------------------------------
#ifndef SGVariable4FStateChangerH
#define SGVariable4FStateChangerH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "SGStateChanger.h"
#include "LinearAlgebra.h"
//---------------------------------------------------------------------------

namespace geoxl {


class SCENEGRAPH_API SGVariable4FStateChanger : public SGStateChanger {
   GEOXL_CLASS(SGVariable4FStateChanger)
 private:
   string name;
   Vector4f value;
   Vector4f oldValue;
   bool variablePresentBefore;

 public:
   SGVariable4FStateChanger(string name = "", const Vector4f &value = NULL_VECTOR4F);

	virtual void assign(const Object* obj, CopyContext *context = NULL);

   virtual void doChange(SceneGraphState *state);
   virtual void undoChange(SceneGraphState *state);
};


}

#endif
