// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once
#include "GlobalDefinitions.h"

#ifndef SCENEGRAPH_EXPORTS
	Do not include this file in a header file! Check also include directory priotities
#endif

// dll-export warning for private members without dll-interface
#pragma warning ( disable : 4251 )

// dll-export warning for baseclasses without dll-interface
#pragma warning ( disable : 4275 )




// Modify the following defines if you have to target a platform prior to the ones specified below.
// Refer to MSDN for the latest info on corresponding values for different platforms.
#ifndef WINVER				// Allow use of features specific to Windows XP or later.
#define WINVER 0x0501		// Change this to the appropriate value to target other versions of Windows.
#endif

#ifndef _WIN32_WINNT		// Allow use of features specific to Windows XP or later.                   
#define _WIN32_WINNT 0x0501	// Change this to the appropriate value to target other versions of Windows.
#endif						

#ifndef _WIN32_WINDOWS		// Allow use of features specific to Windows 98 or later.
#define _WIN32_WINDOWS 0x0410 // Change this to the appropriate value to target Windows Me or later.
#endif

#ifndef _WIN32_IE			// Allow use of features specific to IE 6.0 or later.
#define _WIN32_IE 0x0600	// Change this to the appropriate value to target other versions of IE.
#endif

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers
// Windows Header Files:
#include <windows.h>
#include <stdlib.h>
#include <stdio.h>

#include <math_include.h>
#include <values_vs.h>

#include "foundation.h"
#include "pointClouds.h"
#include "glTools.h"
#include "sceneGraph.h"

#include <iostream>
#include <string>
#include <list>
#include <deque>
#include <algorithm>
#include <vector>
#include <map>

#include <gl/gl.h>
#include <gl/glu.h>

#include "Tools.h"
#include "PTypes.h"
#include "MetaClass.h"
#include "Object.h"
#include "Persistent.h"
#include "PointFlags.h"
#include "ClassProperty.h"
#include "BooleanClassProperty.h"
#include "ObjectClassProperty.h"
#include "StringClassProperty.h"
//#include "ArrayClassProperty.h"
#include "NumericalClassProperty.h"
#include "ClassCreator.h"
#include "ClassEditor.h"
#include "Exceptions.h"
#include "PropertyEditor.h"
#include "ObjectStreams.h"
#include "LinearAlgebra.h"
#include "BoundingBox.h"
#include "HashTables.h"
#include "AttachedData.h"
#include "AttachedDataTypes.h"
#include "EmbeddedObjectClassProperty.h"
#include "GLMaterial.h"
#include "ObjectDictionary.h"

#include "DebugOutput.h"
#include "FixedArrayClassProperty.h"
#include "StringClassProperty.h"
#include "BooleanClassProperty.h"
#include "NumericalClassProperty.h"
#include "NumericalClassProperty_templCode.h"
#include "PAssert.h"
#include "PointCloudIterators.h"
#include "PointCloud.h"
#include "PointSet.h"
#include "PointSet_templCode.h"
#include "GLBuffer.h"
#include "GLContext.h"
#include "LinearAlgebra.h"
#include "LinearAlgebra_templCode.h"
#include "VertexDescriptor.h"
#include "Tools.h"

#include "Persistent.h"
#include "CommandObject.h"

#include "SceneGraphNode.h"
#include "SceneGraphState.h"
#include "AttachedData.h"
#include "ObjectClassProperty.h"
#include "GLMaterial.h"
#include "FixedArrayClassProperty.h"
#include "CommandHistory.h"
#include "AttachedDataTypes.h"
#include "CommandObjMacro.h"
#include "SceneGraphState.h"
#include "SGListNode.h"
#include "PointCloud.h"
#include "SGObjectNode.h"
#include "ObjectListProperty.h"
