//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "PatchGraphCleanupOptionsDialog.h"
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------




PatchGraphCleanupOptionsDialog::PatchGraphCleanupOptionsDialog(QWidget *parent, Qt::WFlags f)
{
	ui.setupUi(this);
}

PatchGraphCleanupSettings PatchGraphCleanupOptionsDialog::getSettings() {
   PatchGraphCleanupSettings result;
   result.initPatches         = (ui.cbInits->checkState()          == Qt::Checked);
   result.fixNormals          = (ui.cbNormals->checkState()        == Qt::Checked);
   result.fixTangents         = (ui.cbTangents->checkState()       == Qt::Checked);
   result.removeOutliers      = (ui.cbOutliers->checkState()       == Qt::Checked);
   result.outputValidityGraph = (ui.cbOutputValidity->checkState() == Qt::Checked);
   return result;
}

PatchGraphCleanupOptionsDialog::~PatchGraphCleanupOptionsDialog() {}


#include "PatchGraphCleanupOptionsDialog_moc.cpp"
