//---------------------------------------------------------------------------
#ifndef PatchGraphCleanupOptionsDialogH 
#define PatchGraphCleanupOptionsDialogH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "ClassEditor.h"
#include "PatchGraphCleanupOptionsDialog_ui.h"
//---------------------------------------------------------------------------
#include <QtGui/QDialog>
//---------------------------------------------------------------------------

namespace geoxl {

struct PatchGraphCleanupSettings {
   bool initPatches;
   bool fixNormals;
   bool fixTangents;
   bool removeOutliers;
   bool outputValidityGraph;
};

class ANIMATIONRECONSTRUCTION_API PatchGraphCleanupOptionsDialog : public QDialog {
	Q_OBJECT
 private:
	Ui_PatchGraphCleanupOptionsDialog ui;

 public:
	PatchGraphCleanupOptionsDialog(QWidget * parent = NULL, Qt::WFlags f=0);
   PatchGraphCleanupSettings getSettings();
	~PatchGraphCleanupOptionsDialog();
};

}

#endif
