//---------------------------------------------------------------------------
#ifndef UrshapeCreatorH
#define UrshapeCreatorH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace geoxl {

class PatchGraph;

/**
	creates urshapes by interpolation from trajectory sets
*/
class ANIMATIONRECONSTRUCTION_API UrshapeCreator {
 public:
	/// creates an average urshape if none is currently present
	static void checkCreateAvUrshape(PatchGraph *pg);
	/// creates an avrage urshape
	static void averageUrshape(PatchGraph *pg);
};

}

#endif