//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "PatchGraphBSROpt.h"
//---------------------------------------------------------------------------

#include "BSRFitting.h"
#include "BSROptContext.h"
#include "BSROptPotential.h"
#include "DynamicLinearAlgebra_templCode.h"
#include "InCorePCTopologyGraph.h"
#include "IterativeSolvers.h"
#include "IterativeSolvers_templCode.h"
//#include "LineSearchConjGradDescent.h"
#include "MgcEigen.h"
#include "Monomials2ndOrder.h"
#include "PatchGraph.h"
#include "PatchTypes.h"
#include "PGTopologicalNeighborhood.h"
#include "PointCloudAnimationSequence.h"
#include "PGDataPointIndices.h"
#include "PointSet.h"
#include "PointSet_templCode.h"
#include "PointSetKNNQuery.h"
#include "SeparatorClassProperty.h"
#include "SparseLinearAlgebra.h"
#include "SparseLinearAlgebra_templCode.h"
#include "Timer.h"
#include "UnifyNormals.h"
//---------------------------------------------------------------------------
using namespace geoxl;
using namespace std;
//---------------------------------------------------------------------------

/************************************************************************/
/*PETER: The following codes are just for testing                                                                     */
/************************************************************************/

void		Quaternion_To_Matrix3f_NM(const float	*q, Matrix3f &rotation)
{
	pAssert(q != NULL);
	rotation[0][0] = 2*q[1]*q[1] + (2*q[0]*q[0]-1);
	rotation[1][0] = 2*q[1]*q[2] - 2*q[0]*q[3];
	rotation[2][0] = 2*q[1]*q[3] + 2*q[0]*q[2];
	rotation[0][1] = 2*q[2]*q[1] + 2*q[0]*q[3];
	rotation[1][1] = 2*q[2]*q[2] + (2*q[0]*q[0]-1);
	rotation[2][2] = 2*q[2]*q[3] - 2*q[0]*q[1];
	rotation[0][2] = 2*q[3]*q[1] - 2*q[0]*q[2];
	rotation[1][2] = 2*q[3]*q[2] + 2*q[0]*q[1];
	rotation[2][2] = 2*q[3]*q[3] + (2*q[0]*q[0]-1);
}
