//---------------------------------------------------------------------------
#include "RegularizedPatchFit.h"
//---------------------------------------------------------------------------
#include "Exceptions.h"
#include "PointSet.h"
#include "InCorePCTopologyGraph.h"
#include "VariablesNaming.h"
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------

/*template <typename FloatType, unsigned dim> 
StaticMatrix<FloatType, dim, dim> makeIdentity() {
   return StaticMatrix<FloatType, dim, dim>();
}

template <typename FloatType, unsigned col0, unsigned col1, unsigned row0, unsigned row1> 
StaticMatrix<FloatType, col0+col1, row0+row1> quadMergeMatrix(
   const StaticMatrix<FloatType, col0, row0> &m00, const StaticMatrix<FloatType, col1, row0> &m10,
   const StaticMatrix<FloatType, col0, row1> &m01, const StaticMatrix<FloatType, col1, row1> &m11
) 
{
   StaticMatrix<FloatType, col0+col1, row0+row1> result;
   for (unsigned x=0; x<col0; x++) {
      for (unsigned y=0; y<row0; y++) {
         result[y][x] = m00[y][x];
      }
   }
   for (unsigned x=0; x<col0; x++) {
      for (unsigned y=0; y<row1; y++) {
         result[y+row0][x] = m01[y][x];
      }
   }
   for (unsigned x=0; x<col1; x++) {
      for (unsigned y=0; y<row0; y++) {
         result[y][x+col0] = m10[y][x];
      }
   }
   for (unsigned x=0; x<col1; x++) {
      for (unsigned y=0; y<row1; y++) {
         result[y+row0][x+col0] = m11[y][x];
      }
   }
   return result;
}    */



template <typename FloatType, unsigned channelDim, typename IntType>
void VectorVariableDifferenceMinimzationSystemSetup<FloatType, channelDim, IntType>::systemSetupAndAdd(
   const VariablesNamingScheme *naming,
   const VAR_AAT &variableName,
   card32 targetVariableIndex,
   const vector<Neighbor> &neighborhood,
   SparseMatrix<FloatType> &resultMat)
{
  /* StaticMatrix<FloatType, 2*channelDim, 2*channelDim> oneNMat;

   pAssert(channelDim == variableName.getNumElements());
   const unsigned numNeighbors = neighborhood.size();
   resultRHS = nullDVector(2*channelDim);
   for (unsigned nIndex=0; nIndex<numNeighbors; nIndex++) {
      const StaticMatrix<FloatType, channelDim, channelDim> &transform = neighborhood[nIndex].coordTransform;
      oneNMat = quadMergeMatrix( 
         makeIdentity<FloatType, channelDim>,  -transform,                         //    I       -M
                      -transform.transpose(),   transform.transpose() * transform  // -(M^t)  (M^t)*M
      ) * neighborhood[nIndex].weight;

      twoVarScatterAndAddDenseMatrix(resultMat, oneNMat, variableName, targetVariableIndex, neighborhood[nIndex].index);
   }*/
}




template <typename FloatType, typename IntType>
void NormalRegularizationSystemSetup<FloatType, IntType>::systemSetup(
	const PointSet *patches, const InCorePCTopologyGraph *tg,
	const VariablesNamingScheme *naming,
	SparseMatrix<FloatType> &mat, DynamicVector<FloatType> &rhs)
{
	//xxx
}


