//---------------------------------------------------------------------------
#ifndef PatchGraphResampler2H
#define PatchGraphResampler2H
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace geoxl {

class PatchGraph;
class AnimationBSRContext;

///
///   keeps pg complexity constant
///
class ANIMATIONRECONSTRUCTION_API PatchGraphResampler2 : public Persistent {
	GEOXL_CLASS( PatchGraphResampler2 )
 private:

 public:
	PatchGraphResampler2();

	virtual void assign(const Object* obj, CopyContext *context = NULL);

   virtual void resample(AnimationBSRContext *context, PatchGraph *pg);

   ~PatchGraphResampler2();
};

}

#endif