//---------------------------------------------------------------------------
#ifndef PGOpt2ConfigH
#define PGOpt2ConfigH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
#include "PGOpt2PotentialSelector.h"
#include "PGOpt2Parameters.h"
//---------------------------------------------------------------------------

namespace geoxl {

class PatchGraphOpt2;


///
///   this class selects a set of optimization potentials and provides parameters
///
class ANIMATIONRECONSTRUCTION_API PGOpt2Config : public Persistent {
	GEOXL_CLASS( PGOpt2Config )
 public:
   PGOpt2Parameters *params;
   PGOpt2PotentialSelector potentials;


	PGOpt2Config();

	virtual void assign(const Object* obj, CopyContext *context = NULL);

   ~PGOpt2Config();
};

}

#endif