//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "PGOpt2FramePairPair.h"
//---------------------------------------------------------------------------
#include "CopyObjectProperties.h"
#include "EmbeddedObjectClassProperty.h"
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------



IMPLEMENT_GEOXL_CLASS( PGOpt2FramePairPair ,0) {
	BEGIN_CLASS_INIT( PGOpt2FramePairPair );
   ADD_CARD32_PROP(optFramePairIndex1, 0)
   ADD_CARD32_PROP(optFramePairIndex2, 0)
   ADD_EMBEDDED_OBJECT_PROP(pairPairPotentials, 0, PGOpt2ThreeFramePotentialSelector::getClass())
}


// ----


PGOpt2FramePairPair::PGOpt2FramePairPair() {
   optFramePairIndex1 = 0;
   optFramePairIndex2 = 0;
}

PGOpt2FramePairPair::PGOpt2FramePairPair(card32 index1, card32 index2, const vector<card32> &patchIndices) {
   optFramePairIndex1 = index1;
   optFramePairIndex2 = index2;
   this->patchIndices = patchIndices;
}

void PGOpt2FramePairPair::assign(const Object* obj, CopyContext *context) {
	copyObjectProperties(obj, this);
}




