#ifndef FDCombinedH
#define FDCombinedH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "FeatureDescriptor.h"
//---------------------------------------------------------------------------

namespace geoxl
{

/**
	plz comment your class
*/
class ANIMATIONRECONSTRUCTION_API FDCombined : public FeatureDescriptor
{
	GEOXL_CLASS( FDCombined )

private:

	vector<FeatureDescriptor*> m_Desc;
public:
	void addDesc( Object * obj );
   void deleteDescs( card32 begin, card32 end );
   Object * getDesc( card32 index );
   void moveDesc( card32 oldPos, card32 newPos );
   mpcard getNumDescs();
   string getDescName(card32 index );


	FDCombined(void);
	~FDCombined(void);

   virtual void assign(const Object* obj, CopyContext *context = NULL);
	virtual void createDescriptor( const Vector3f &point, float size, PointCloud * pc, TDescriptorContext * context );
	virtual mpcard getNumDescriptorValues();

	virtual float compare( const FeatureDescriptor * other );


};

}

#endif