#ifndef FDCurvatureH
#define FDCurvatureH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "FeatureDescriptor.h"
//---------------------------------------------------------------------------

namespace geoxl
{

/**
	plz comment your class
*/
class ANIMATIONRECONSTRUCTION_API FDCurvature : public FeatureDescriptor
{
	GEOXL_CLASS( FDCurvature )

private:

	bool	m_UseMean;
	bool	m_UsePrincipal;
	bool	m_UseTopology;

	IMPLEMENT_VAR_ARRAY_METHODS_STL( m_DescriptorData );


public:
	FDCurvature(void);
	~FDCurvature(void);

   virtual void assign(const Object* obj, CopyContext *context = NULL);

	virtual void createDescriptor( const Vector3f &point, float size, PointCloud * pc, TDescriptorContext * context );
	virtual mpcard getNumDescriptorValues() {return (m_UseMean ? 1:0) + (m_UsePrincipal ? 2:0);}

};

}

#endif