// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once
#include "GlobalDefinitions.h"

// Modify the following defines if you have to target a platform prior to the ones specified below.
// Refer to MSDN for the latest info on corresponding values for different platforms.
#ifndef WINVER				// Allow use of features specific to Windows XP or later.
#define WINVER 0x0501		// Change this to the appropriate value to target other versions of Windows.
#endif

#ifndef _WIN32_WINNT		// Allow use of features specific to Windows XP or later.                   
#define _WIN32_WINNT 0x0501	// Change this to the appropriate value to target other versions of Windows.
#endif						

#ifndef _WIN32_WINDOWS		// Allow use of features specific to Windows 98 or later.
#define _WIN32_WINDOWS 0x0410 // Change this to the appropriate value to target Windows Me or later.
#endif

#ifndef _WIN32_IE			// Allow use of features specific to IE 6.0 or later.
#define _WIN32_IE 0x0600	// Change this to the appropriate value to target other versions of IE.
#endif

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers
// Windows Header Files:
#include <windows.h>
#include <math.h>

// additional precompiled headers for animationReconstruction.vcproj
#include <mmsystem.h>

#include <stdlib.h>
#include <stdio.h>

#include "foundation.h"
#include "pointclouds.h"
#include "glTools.h"
#include "sceneGraph.h"
#include "rendering.h"
#include "hierarchies.h"
#include "editor.h"
#include "animationReconstruction.h"

#include <iostream>
#include <string>
#include <list>
#include <deque>
#include <algorithm>
#include <vector>
#include <map>



#ifdef GEOXL_GUI
	#pragma warning ( disable : 4311 )
	#pragma warning ( disable : 4312 )
//	#include <qtCore/qatomic>
	#include <QtGui/QtGui>
	#include <QtCore/QtCore>
	#include <QtOpenGL/QGLWidget>
	#pragma warning ( default : 4311 )
	#pragma warning ( default : 4312 )
#endif

#include "Tools.h"
#include "PTypes.h"
#include "MetaClass.h"
#include "Persistent.h"
#include "LinearAlgebra.h"
#include "Exceptions.h"

#include "PropertyEditor.h"
#include "Scene.h"
#include "BoundingBox.h"
#include "BoundingBox_templCode.h"
#include "LinearAlgebra.h"
#include "LinearAlgebra_templCode.h"
#include "PointCloud.h"
#include "PointCloudIterators.h"
#include "NumericalClassProperty.h"
#include "FixedArrayClassProperty.h"
#include "StringClassProperty.h"
#include "PointSet.h"
#include "UnstructuredInCorePointCloud.h"
#include "DebugOutput.h"
#include "VertexDescriptor.h"
#include "Random.h"
#include "PolarCoordinates.h"
#include "PointCloudIterators.h"
#include "BooleanClassProperty.h"
#include "CommandHistory.h"
#include "PCInteractionTool.h"
#include "CameraController.h"
#include "ExaminerCameraController.h"
#include "ObjectClassProperty.h"
#include "Scene.h"
#include "SceneGraphState.h"
#include "DebugOutput.h"
#include "PointCloud.h"
#include "PointCloudIterators.h"
#include "NumericalClassProperty.h"
#include "PointSet.h"
#include "SceneCommandObjects.h"
#include "CommandHistory.h"
#include "SelectionIteratorAdaptor.h"
#include "ObjectViewsTable.h"
#include "SGLegacyPCSceneAdaptor.h"
#include "MathTools.h"
//#include "PointCloudTools.h"
//#include "SelectionTools.h"
#include "BooleanClassProperty.h"
#include "NumericalClassProperty.h"
#include "NumericalClassProperty_templCode.h"
#include "StringClassProperty.h"
#include "FixedArrayClassProperty.h"
#include "LinearAlgebra_templCode.h"
#include "CommandHistory.h"
#include "PCInteractionTool.h"
