//---------------------------------------------------------------------------
#ifndef AROptToolWithFeedbackH
#define AROptToolWithFeedbackH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace geoxl {

class GLContext;
class ARVisualizationSettings;

///
///   this class is the base class of optimization tools that display real-time feedback
///
class DEFORMATION_API AROptToolWithFeedback {
 public:
	virtual void glDrawFeedback(GLContext *glContext, ARVisualizationSettings *visSettings) {forget(glContext);}	
   virtual ~AROptToolWithFeedback() {}
};

}

#endif