//---------------------------------------------------------------------------
#ifndef ARVisualizationSettingsH
#define ARVisualizationSettingsH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace geoxl {

///
///   This class stores settings for visualization of the optimization process
///
class DEFORMATION_API ARVisualizationSettings : public Persistent {
	GEOXL_CLASS( ARVisualizationSettings )
 public:

	bool showVisualizations;
   bool showConstraints;	
 
	ARVisualizationSettings();

	virtual void assign(const Object* obj, CopyContext *context = NULL);
};

}

#endif