//---------------------------------------------------------------------------
#ifndef ARDataConstraintsDescriptorH
#define ARDataConstraintsDescriptorH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace geoxl {

///
///   this class describes a single data constraint
///
class DEFORMATION_API ARDataConstraintsDescriptor : public Persistent {
	GEOXL_CLASS( ARDataConstraintsDescriptor )
 private:
	enum ConstraintType {
		ctGeometry, ct
	};

 public:
	ARDataConstraintsDescriptor();

	virtual void assign(const Object* obj, CopyContext *context = NULL);

   ~ARDataConstraintsDescriptor();
};

}

#endif