//---------------------------------------------------------------------------
#ifndef ARGlobalOptSettingsH
#define ARGlobalOptSettingsH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace geoxl {

///
///   settings for how to run globalOpt in PCIAnimationReconstruction2
///
class DEFORMATION_API ARGlobalOptSettings : public Persistent {
	GEOXL_CLASS( ARGlobalOptSettings )
 public:
   // --- main options
   bool optimizeShape;
   bool optimizeUrshapeDeformation;
   bool optimizeDeformation;
   bool removeUnsupportedPoints;
   
	ARGlobalOptSettings();

	virtual void assign(const Object* obj, CopyContext *context = NULL);

   ~ARGlobalOptSettings();
};

}

#endif