#ifndef OnSceneChangeCallbackH
#define OnSceneChangeCallbackH

#include "Persistent.h"

namespace geoxl{

/// set of flags
typedef card32 PCInteractionToolChanges;
static const card32 PCI_CHANGE_ALL = 1;
static const card32 PCI_CHANGE_GEOMETRY = 2;
static const card32 PCI_CHANGE_VIEW = 4;
static const card32 PCI_CHANGE_SELECTION = 8;
static const card32 PCI_NEW_COMMAND = 16;
static const card32 PCI_WRITE_FRAME = 32;

class OnSceneChangeCallback : public Persistent
{
	GEOXL_ABSTRACT_CLASS( OnSceneChangeCallback )

	public:
		virtual void changed(PCInteractionToolChanges whatChange) = 0;
		virtual ~OnSceneChangeCallback() {}
};


// HACK: OOC-test
class EDITOR_API BenchParameterHack
{
public:
	static int perLeaf;
	static int gridSize;
};

}

#endif