//---------------------------------------------------------------------------
#ifndef PCSceneClassEditorsH
#define PCSceneClassEditorsH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "ClassEditor.h"
//---------------------------------------------------------------------------


namespace geoxl {

class GLContext;

class EDITOR_API PCSceneClassEditor : public ClassEditor {
 private:
   static MetaClass *PCSceneClassEditorMetaClass;

 public:
   virtual const MetaClass *getInstanceClass() const;
   static const MetaClass *getClass();
   static void init(const MetaClass *parentClass, card32 uniqueIdentifier);
   static void shutdown();

/*   virtual TControl *makeEditor(TComponent *AOwner, Object *obj);
   virtual Object* getObject();
   virtual void apply();
   virtual void update();
   virtual card32 getPreferredWidth();
   virtual card32 getPreferredHeight();*/

   virtual void setGLContext( GLContext * context ) {}
};



}

#endif
 