//---------------------------------------------------------------------------
#ifndef PCCConvToSwapAllOOCH
#define PCCConvToSwapAllOOCH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace geoxl {

///
///   converts point clouds to GenericSwapAllOOCPointClouds
///
class EDITOR_API PCCConvToSwapAllOOC : public PCCommand {
	GEOXL_CLASS( PCCConvToSwapAllOOC )
 private:
	string filenamePrefix;
	string filenameSuffix;
	bool relativePath;

 public:
	PCCConvToSwapAllOOC();

	virtual void assign(const Object* obj, CopyContext *context = NULL);
	virtual void execute(Scene *scene);

   ~PCCConvToSwapAllOOC();
};

}

#endif