//---------------------------------------------------------------------------
#ifndef PCCPointGeneratorH
#define PCCPointGeneratorH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include <string>
#include "PCCommand.h"
#include "LinearAlgebra.h"
#include "CmdObjGeneratePC.h"
//---------------------------------------------------------------------------

namespace geoxl {

class EDITOR_API PCCPointGenerator : public PCCommand {
	GEOXL_CLASS( PCCPointGenerator );

	private:
		/// Type of point cloud
		card32 type;
		/// Number of points
		card32 numPoints;
		/// Name
		std::string pcName;

	public:
		/// Constructor
		PCCPointGenerator();
		/// Execute
		virtual void execute(Scene *scene);
};


}

#endif

