//---------------------------------------------------------------------------
#ifndef PCCSetMaterialH
#define PCCSetMaterialH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace geoxl {

/**
	command - set material index for current selection
*/
class EDITOR_API PCCSetMaterial : public PCCommand {
	GEOXL_CLASS( PCCSetMaterial )

private:
	card32 materialIndex;
	
public:
	PCCSetMaterial();

   virtual void execute(Scene *scene);
};

}

#endif