#ifndef PCCSwapChannelsH
#define PCCSwapChannelsH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace geoxl
{

/**
	swaps the values of two attribute channels
	channels must be of the same format
*/
class EDITOR_API PCCSwapChannels : public PCCommand {
	GEOXL_CLASS( PCCSwapChannels )

private:
	string channel1;
	string channel2;

public:
	PCCSwapChannels();

   virtual void assign(const Object* obj, CopyContext *context = NULL);

   virtual void execute(Scene *scene);

	~PCCSwapChannels();

};

}

#endif