//---------------------------------------------------------------------------
#ifndef PCCVolumeGeneratorH
#define PCCVolumeGeneratorH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------
#include "RegularVolume.h"
//---------------------------------------------------------------------------
#include "RegularInCoreVolume.h"
//---------------------------------------------------------------------------
#include "Scene.h"
//---------------------------------------------------------------------------

namespace geoxl {

///
///   plz comment your class
///
class EDITOR_API PCCVolumeGenerator : public PCCommand {
	GEOXL_CLASS( PCCVolumeGenerator )
 private:
	/// Name
	std::string volumeName;

	card32 nVoxelsX,nVoxelsY,nVoxelsZ;
	Vector3f bbLL,bbUR;

 public:
	PCCVolumeGenerator();

	virtual void assign(const Object* obj, CopyContext *context = NULL);

   virtual void execute(Scene *scene);

   ~PCCVolumeGenerator();
};

}

#endif