#ifndef PCCImportVolumeDataH
#define PCCImportVolumeDataH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace geoxl
{

/**
	importer for raw volume data
*/
class EDITOR_API PCCImportVolumeData : public PCCommand
{
	GEOXL_CLASS( PCCImportVolumeData )

private:

	string	m_FileName;
	string	m_PointCloudName;
	bool	m_MultiRes;

public:
	PCCImportVolumeData(void);
	~PCCImportVolumeData(void);

   virtual void assign(const Object* obj, CopyContext *context = NULL);

	virtual void execute(Scene * scene);

	PointCloud* importAndAddToScene(string filename, Scene * scene);

};

}

#endif