//---------------------------------------------------------------------------
#include "stdafx.h"
#include "Configuration.h"
//---------------------------------------------------------------------------
#include "EventDisplayerBaseWidget.h"
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------


EventDisplayerBaseWidget::EventDisplayerBaseWidget(QWidget *parent)
:QWidget(parent)
{
	//call ui.setupUi(this) to set up the layout from QtDesigner
	baseUI.setupUi(this);

	baseUI.TBMinimize->setIcon(QIcon((getConfigurationString("IMAGE_PATH")+"/ArrowUpSmall.bmp").c_str()));
	baseUI.TBClose->setIcon(QIcon((getConfigurationString("IMAGE_PATH")+"/x_smaller.bmp").c_str()));

	QVBoxLayout *layout = new QVBoxLayout;
	layout->setMargin(4);
	layout->setSpacing(0);
	baseUI.FrameSpecialDisplayer->setLayout(layout);

// todo: maybe make it floatable?
//	displWidget->setWindowFlags(Qt::Window);

}


EventDisplayerBaseWidget::~EventDisplayerBaseWidget() {
}


// ---------- slots ----------

void EventDisplayerBaseWidget::on_TBMinimize_clicked() {
	baseUI.FrameSpecialDisplayer->setVisible(!baseUI.FrameSpecialDisplayer->isVisible());
	mySpecialWidget->setVisible(baseUI.FrameSpecialDisplayer->isVisible());
	if (mySpecialWidget->isVisible()) {
		baseUI.TBMinimize->setIcon(QIcon((getConfigurationString("IMAGE_PATH")+"/ArrowUpSmall.bmp").c_str()));
		baseUI.TBMinimize->setToolTip(QString("Minimize"));
		baseUI.LabelBaseValue->setText("");
	} else {
		baseUI.TBMinimize->setIcon(QIcon((getConfigurationString("IMAGE_PATH")+"/ArrowDropDownSmall.bmp").c_str()));
		baseUI.TBMinimize->setToolTip(QString("Maximize"));
		baseUI.LabelBaseValue->setText("");
	}
}


void EventDisplayerBaseWidget::on_TBClose_clicked() {
	emit sigCloseWidget(qPrintable(baseUI.LabelBaseName->text()));
}


#include "EventDisplayerBaseWidget_moc.cpp"