//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "InterfaceGlobals.h"
//---------------------------------------------------------------------------
#include "pAssert.h"
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------


bool InterfaceGlobals::onceWin = false;
bool InterfaceGlobals::onceApp = false;
QWidget *InterfaceGlobals::mainWindow = NULL;
QApplication *InterfaceGlobals::app = NULL;


void InterfaceGlobals::setMainWindow(QWidget *mainWindow) {
   pAssert(!onceWin);
   onceWin = true;
   InterfaceGlobals::mainWindow = mainWindow;
}

QWidget *InterfaceGlobals::getMainWindow() {
   pAssert(onceWin);
   return mainWindow;
}


void InterfaceGlobals::setApplication(QApplication *app) {
   pAssert(!onceApp);
   onceApp = true;
   InterfaceGlobals::app = app;
}

QApplication *InterfaceGlobals::getApplication() {
   pAssert(onceApp);
   return app;
}