#ifndef ObjectPropertyEditorH
#define ObjectPropertyEditorH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "PropertyEditor.h"
#include "Object.h"
//---------------------------------------------------------------------------

namespace geoxl
{

class ObjectElementEditor;

class ObjectPropertyEditor : public PropertyEditor
{
	GEOXL_CLASS( ObjectPropertyEditor )

private:
	
	ObjectElementEditor	*	m_ElementEditor;

public:
	ObjectPropertyEditor(void);
	~ObjectPropertyEditor(void);

	/// creates an editor
	virtual QWidget *makeEditor(QWidget * parent, bool readOnly);	

	/// update editor
	virtual void update();

   virtual card32 getPreferredHeight();

};

}

#endif