#ifndef RGBACubeMapEditorWidgetH 
#define RGBACubeMapEditorWidgetH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "ClassEditor.h"
#include "CubeMap.h"
//---------------------------------------------------------------------------
//this file is generated from the ui file by a custom buildstep
#include "RGBACubeMapEditorForm_ui.h"
//---------------------------------------------------------------------------

namespace geoxl
{

class FOUNDATION_API RGBACubeMapEditorWidget : public QWidget
{
	Q_OBJECT


private:

	RGBACubeMap	*	m_RGBACubeMap;

	///used to access buttons, etc. from QtDesigner
	Ui_RGBACubeMapEditorForm ui;

	/// used to copy one side image of the cube to the appropriate editor output label
   void copySideToImageLabel( TemplatedImage<Vector4ub> * rgba_img, QLabel *imageLabel );


public:
	RGBACubeMapEditorWidget(QWidget * parent = NULL, Qt::WFlags f=0);
	~RGBACubeMapEditorWidget(void);

	void setup( RGBACubeMap * obj );

	/// update editor content with object data
	void updateEditor();


public slots:
	void sltBTCrossLoadClicked();
	void sltBTAngularLoadClicked();


};

MAKE_CLASS_EDITOR( FOUNDATION_API , RGBACubeMap )


}

#endif