#ifndef RGBAImageEditorH
#define RGBAImageEditorH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include <qtGui/qlistwidget.h>
#include <qtGui/qicon.h>
#include "ClassEditor.h"
#include "RGBAImage.h"
//---------------------------------------------------------------------------
//this file is generated from the ui file by a custom buildstep
#include "RGBAImageEditorForm_ui.h"
//---------------------------------------------------------------------------


namespace geoxl { 

class FOUNDATION_API RGBAImageEditorWidget 
: public QWidget 
{
Q_OBJECT 


public: 
RGBAImageEditorWidget (QWidget * parent); 

void setup( RGBAImage* obj );
void updateEditor();

public slots:
	void sltLoadFile();

private:
	///used to access buttons, etc. from QtDesigner
	Ui_RGBAImageEditorForm ui;

	RGBAImage   *  m_Image;

}; 

MAKE_CLASS_EDITOR( FOUNDATION_API, RGBAImage )

}

#endif
