#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "UnitTests.h"
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------

vector<UnitTest> UnitTests::tests;
vector<string> UnitTests::names;


void UnitTests::addTest(UnitTest test, string name) {
	tests.push_back(test);
	names.push_back(name);
}

card32 UnitTests::getNumTests() {
	return (card32)tests.size();
}

UnitTest UnitTests::getTest(card32 i) {
	return tests[i];
}

string UnitTests::getTestName(card32 i) {
	return names[i];
}
