#pragma once
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include <qtGUI/qScrollArea.h>
//---------------------------------------------------------------------------

namespace geoxl
{

/**
	holds a content widget and resizes it only in horizontal direction.
	vertical size is fixed by the content widgets height.
*/
class FOUNDATION_API VerticalScrollView : public QScrollArea
{
   Q_OBJECT
private:

	QWidget * m_Content;

public:
	VerticalScrollView(QWidget * parent);

protected:

	void resizeEvent( QResizeEvent * e );
};

}