//---------------------------------------------------------------------------
#ifndef MathIOToolsH
#define MathIOToolsH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "BoundingBox.h"
//---------------------------------------------------------------------------

namespace geoxl {

class OutputObjectStream;
class InputObjectStream;

extern FOUNDATION_API void writeBoundingBox3f(OutputObjectStream *s, const BoundingBox3f &bb);
extern FOUNDATION_API void readBoundingBox3f(InputObjectStream *s, BoundingBox3f &bb);

}

#endif
