//---------------------------------------------------------------------------
#ifndef PolarCoordinatesH
#define PolarCoordinatesH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "LinearAlgebra.h"
//---------------------------------------------------------------------------


namespace geoxl {

typedef Vector2f PolarCoords;

extern FOUNDATION_API Vector3f polarCoordsToNormal(const Vector2f &pCoords);
extern FOUNDATION_API Vector2f normalToPolarCoords(const Vector3f &normal);

}

#endif
