//---------------------------------------------------------------------------
#ifndef DependentObjectH
#define DependentObjectH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Object.h"
//---------------------------------------------------------------------------


namespace geoxl {

class FOUNDATION_API MonitoringObject {
 public:
   virtual void changed(Object* obj) = 0;
};

class FOUNDATION_API DependentObject : public MonitoringObject { /* INTERFACE */
 public:
   virtual void removed(Object* obj) = 0;
};

}

#endif
 