//---------------------------------------------------------------------------
#ifndef IMPORT_TOOLS_H
#define IMPORT_TOOLS_H
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
#include "MathTools.h"
//---------------------------------------------------------------------------

namespace geoxl {
	/// returns next numbered filename if exists, else an empty string. Example: input:"anim009.bmp" returns true if "anim010.bmp" or "anim0010.bmp" exist.
	string FOUNDATION_API getExistingNextNumberedFileName( string previousNumberedFilename );
	/// Importer: Move on the end of line
   void FOUNDATION_API skipToEOL( ifstream &in );
}

#endif