//---------------------------------------------------------------------------
#include "stdafx.h"

//---------------------------------------------------------------------------
#include "Tools.h"
//---------------------------------------------------------------------------
#include "Exceptions.h"
#include "Object.h"
#include <fstream>
#include <stdio.h>
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------


void geoxl::notImplemented() {
   throw PException("not implemented.");
}

string geoxl::makeObjectDescription(const Object *obj, bool shortDescr) {
   if (obj == NULL) return "NULL";
   string objDescr;
   objDescr = obj->getInstanceClass()->getClassName().c_str();
	char buffer[1000];
   if (!shortDescr && obj != NULL ) 
	{
		sprintf( buffer, "@%p (%d Bytes)", (card32)obj,(card32)obj->getInstanceClass()->getInstanceSize() );
   } else {
		sprintf( buffer, "@%p", (card32)obj );
   }
	objDescr += buffer;
   return objDescr;

}

bool geoxl::FileExists( const char * filename )
{
	std::ifstream in( filename );
	if( in.is_open() )
	{
		in.close();
		return true;
	}
	return false;
}

