//---------------------------------------------------------------------------
#ifndef IEditorH
#define IEditorH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------

namespace geoxl {

class Object;

class IEditor { /* INTERFACE */
 public:
   virtual Object *getObject() = 0;
   virtual void update() = 0;
   virtual void apply() = 0;
   virtual ~IEditor() {}
};

}

#endif
 