//---------------------------------------------------------------------------
#ifndef PAssertH
#define PAssertH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "Exceptions.h"
//---------------------------------------------------------------------------

namespace geoxl {

#if defined(GEOXL_DEBUG)
inline void pAssert(bool cond) {
   if (!cond) {
      throw PException(string("Assertion failed."));
   }
}
#else
   #define pAssert(C)
#endif

#if defined(GEOXL_DEBUG)
inline void pAssertMsg(bool cond, string msg) {
   if (!cond) {
      throw PException(msg);
   }
}
#else
   #define pAssertMsg(C, M)
#endif

}


#endif