//---------------------------------------------------------------------------
#pragma once
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------

#ifndef FOUNDATION_EXPORTS
	Do not include this file in a header file! Check also include directory priotities
#endif


// dll-export warning for private members without dll-interface
#pragma warning ( disable : 4251 )

// dll-export warning for baseclasses without dll-interface
#pragma warning ( disable : 4275 )

//---------------------------------------------------------------------------

// Modify the following defines if you have to target a platform prior to the ones specified below.
// Refer to MSDN for the latest info on corresponding values for different platforms.
#ifndef WINVER				// Allow use of features specific to Windows XP or later.
#define WINVER 0x0501		// Change this to the appropriate value to target other versions of Windows.
#endif

#ifndef _WIN32_WINNT		// Allow use of features specific to Windows XP or later.                   
#define _WIN32_WINNT 0x0501	// Change this to the appropriate value to target other versions of Windows.
#endif						

#ifndef _WIN32_WINDOWS		// Allow use of features specific to Windows 98 or later.
#define _WIN32_WINDOWS 0x0410 // Change this to the appropriate value to target Windows Me or later.
#endif

#ifndef _WIN32_IE			// Allow use of features specific to IE 6.0 or later.
#define _WIN32_IE 0x0600	// Change this to the appropriate value to target other versions of IE.
#endif

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers
// Windows Header Files:
#include <windows.h>
#include <mmsystem.h>

#include <stdlib.h>
#include <stdio.h>

#include <math_include.h>
#include <values_vs.h>

#include "foundation.h"

#include <iostream>
#include <stack>
#include <string>
#include <list>
#include <deque>
#include <algorithm>
#include <vector>
#include <map>

#include <gl/gl.h>
#include <gl/glu.h>

#include "HashTables.h"
#include "Tools.h"
#include "PTypes.h"
#include "MetaClass.h"
#include "Object.h"
#include "Persistent.h"
#include "LinearAlgebra.h"
#include "LinearAlgebra_templCode.h"
#include "Exceptions.h"
#include "pAssert.h"
#include "GloballyUniqueID.h"
#include "ClassCreator.h"

#include "ObjectClassProperty.h"
#include "EmbeddedObjectClassProperty.h"
#include "StringHelper.h"
#include "NumericalClassProperty.h"
#include "NumericalClassProperty_templCode.h"
#include "BooleanClassProperty.h"
#include "StringClassProperty.h"
#include "FixedArrayClassProperty.h"
#include "VariableArrayClassProperty.h"
#include "HalfSpace.h"
// currently changing these frequently (mw)
//#include "SparseLinearAlgebra.h"
//#include "DynamicLinearAlgebra.h"
#include "CommandObject.h"
#include "ObjectStreams.h"
#include "ObjectViewsTable.h"
#include "DebugOutput.h"
#include "BoundingBox.h"
#include "BoundingBox_templCode.h"
#include "Polygon.h"
#include "AttachedData.h"
#include "CameraController.h"




#ifdef GEOXL_GUI
	#include <QtGui/QtGui>
	//#include <QtCore/QtCore>
	#include "PropertyEditor.h"
	#include "ClassEditor.h"
	#include "ElementEditor.h"
	#include "PropertyBrowser.h"
#endif