//---------------------------------------------------------------------------
#pragma once
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------


#ifndef GEOXLKINECT_EXPORTS
	Do not include this file in a header file! Check also include directory priotities
#endif


// dll-export warning for private members without dll-interface
#pragma warning ( disable : 4251 )

// dll-export warning for baseclasses without dll-interface
#pragma warning ( disable : 4275 )

//---------------------------------------------------------------------------

// Modify the following defines if you have to target a platform prior to the ones specified below.
// Refer to MSDN for the latest info on corresponding values for different platforms.
#ifndef WINVER				// Allow use of features specific to Windows XP or later.
#define WINVER 0x0501		// Change this to the appropriate value to target other versions of Windows.
#endif

#ifndef _WIN32_WINNT		// Allow use of features specific to Windows XP or later.                   
#define _WIN32_WINNT 0x0501	// Change this to the appropriate value to target other versions of Windows.
#endif						

#ifndef _WIN32_WINDOWS		// Allow use of features specific to Windows 98 or later.
#define _WIN32_WINDOWS 0x0410 // Change this to the appropriate value to target Windows Me or later.
#endif

#ifndef _WIN32_IE			// Allow use of features specific to IE 6.0 or later.
#define _WIN32_IE 0x0600	// Change this to the appropriate value to target other versions of IE.
#endif

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers
// Windows Header Files:
#include <windows.h>
#include <mmsystem.h>

#include <stdlib.h>
#include <stdio.h>

#include <math.h>

#include "foundation.h"

#include <iostream>
#include <string>
#include <list>
#include <deque>
#include <algorithm>
#include <vector>
#include <map>

#include <gl/gl.h>
#include <gl/glu.h>

#include "Tools.h"
#include "PTypes.h"
#include "MetaClass.h"
#include "Persistent.h"
#include "LinearAlgebra.h"
#include "Exceptions.h"

#include "foundation.h"
#include "pointclouds.h"
#include "glTools.h"
#include "sceneGraph.h"
#include "rendering.h"
#include "hierarchies.h"
#include "editor.h"
#include "geoxlKinect.h"

#ifdef GEOXL_GUI
#include <QtGui/QtGui>
#include <QtCore/QtCore>
#include <QtOpenGL/QGLWidget>

#include "PropertyEditor.h"
#include "PropertyEditor.h"
#include "Scene.h"
#include "BoundingBox.h"
#include "BoundingBox_templCode.h"
#include "LinearAlgebra.h"
#include "LinearAlgebra_templCode.h"
#include "PointCloud.h"
#include "PointCloudIterators.h"
#include "NumericalClassProperty.h"
#include "FixedArrayClassProperty.h"
#include "StringClassProperty.h"
#include "PointSet.h"
#include "UnstructuredInCorePointCloud.h"
#include "DebugOutput.h"
#include "VertexDescriptor.h"
#include "Random.h"
#include "PolarCoordinates.h"
#include "PointCloudIterators.h"
#include "BooleanClassProperty.h"
#include "CmdObjGeneratePC.h"
#include "CommandHistory.h"
#include "PCInteractionTool.h"
#include "PCCommand.h"
#include "CameraController.h"
#include "ExaminerCameraController.h"
#include "ObjectClassProperty.h"
#include "Scene.h"
#include "SceneGraphState.h"
#include "DebugOutput.h"
#include "PointCloud.h"
#include "PointCloudIterators.h"
#include "NumericalClassProperty.h"
#include "PointSet.h"
#include "SceneCommandObjects.h"
#include "CommandHistory.h"
#include "SelectionIteratorAdaptor.h"
#include "ObjectViewsTable.h"
#include "SGLegacyPCSceneAdaptor.h"
#include "MathTools.h"
#include "PointCloudTools.h"
#include "SelectionTools.h"
#include "BooleanClassProperty.h"
#include "NumericalClassProperty.h"
#include "NumericalClassProperty_templCode.h"
#include "StringClassProperty.h"
#include "FixedArrayClassProperty.h"
#include "LinearAlgebra_templCode.h"
#include "PointCloudImporterReader.h"
#include "CommandObject.h"
#include "PointCloud.h"
#include "ViewFrustum.h"
#include "Camera.h"
#include "LinearAlgebra.h"
#include "IteratorAdaptors.h"
#include "SelectionIteratorAdaptor.h"
#include "GeometricRange.h"
#include "GeometricRangeIteratorAdaptor.h"
#include "UnstructuredInCorePointCloud.h"


#endif
