//---------------------------------------------------------------------------
#include "stdafx.h"
 
//---------------------------------------------------------------------------
#include "MHNodeData.h"
#include "MHNodeData_templCode.h"
//---------------------------------------------------------------------------
#include "ObjectClassProperty.h"
//---------------------------------------------------------------------------
 
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------



MetaClass* MHInCorePointSetNodeData::MHInCorePointSetNodeDataMetaClass = NULL;

const MetaClass* MHInCorePointSetNodeData::getInstanceClass() const {
   return getClass();
}

Object* MHInCorePointSetNodeData::newInstance() {
   return new MHInCorePointSetNodeData;
}

const MetaClass* MHInCorePointSetNodeData::getClass() {
   if (MHInCorePointSetNodeDataMetaClass==NULL) {
      MHInCorePointSetNodeDataMetaClass = new MetaClass("MHInCorePointSetNodeData", "no description.",
                                  newInstance, sizeof(MHInCorePointSetNodeData));
   }
   return MHInCorePointSetNodeDataMetaClass;
}

void MHInCorePointSetNodeData::init(const MetaClass *parentClass) {
   ((MetaClass*)getClass())->init(parentClass, MetaClass::FIRST_VERSION + 1);
   MHInCorePointSetNodeDataMetaClass->copyParentProperties();
   BEGIN_CLASS_INIT(MHInCorePointSetNodeData)
   ADD_OBJECT_PROP(ps, 0, PointSet::getClass(), true)
   ADD_OBJECT_PROP(attachedData, 0, AttachedDataContainer::getClass(), true)
}

void MHInCorePointSetNodeData::shutdown() {
   delete MHInCorePointSetNodeDataMetaClass;
}


// ----


MetaClass* MHOutOfCorePointSetNodeData::MHOutOfCorePointSetNodeDataMetaClass = NULL;

const MetaClass* MHOutOfCorePointSetNodeData::getInstanceClass() const {
   return getClass();
}

Object* MHOutOfCorePointSetNodeData::newInstance() {
   return new MHOutOfCorePointSetNodeData;
}

const MetaClass* MHOutOfCorePointSetNodeData::getClass() {
   if (MHOutOfCorePointSetNodeDataMetaClass==NULL) {
      MHOutOfCorePointSetNodeDataMetaClass = new MetaClass("MHOutOfCorePointSetNodeData", "no description.",
                                  newInstance, sizeof(MHOutOfCorePointSetNodeData));
   }
   return MHOutOfCorePointSetNodeDataMetaClass;
}

void MHOutOfCorePointSetNodeData::init(const MetaClass *parentClass) {
   ((MetaClass*)getClass())->init(parentClass, MetaClass::FIRST_VERSION + 1);
   MHOutOfCorePointSetNodeDataMetaClass->copyParentProperties();
   BEGIN_CLASS_INIT(MHOutOfCorePointSetNodeData)
   ADD_OBJECT_PROP(ps, 0, PointSet::getClass(), true)
   ADD_OBJECT_PROP(attachedData, 0, AttachedDataContainer::getClass(), true)
}

void MHOutOfCorePointSetNodeData::shutdown() {
   delete MHOutOfCorePointSetNodeDataMetaClass;
}


// ----




