//---------------------------------------------------------------------------
#include "stdafx.h"
 
//---------------------------------------------------------------------------
#include "MHSettings.h"
#include "NumericalClassProperty.h"
//---------------------------------------------------------------------------
 
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------



MetaClass* MHStandardSettings::MHStandardSettingsMetaClass = NULL;

const MetaClass* MHStandardSettings::getInstanceClass() const {
   return getClass();
}

Object* MHStandardSettings::newInstance() {
   return new MHStandardSettings;
}

const MetaClass* MHStandardSettings::getClass() {
   if (MHStandardSettingsMetaClass==NULL) {
      MHStandardSettingsMetaClass = new MetaClass("MHStandardSettings", "no description.",
                                  newInstance, sizeof(MHStandardSettings));
   }
   return MHStandardSettingsMetaClass;
}

void MHStandardSettings::init(const MetaClass *parentClass) {
   ((MetaClass*)getClass())->init(parentClass, MetaClass::FIRST_VERSION);
   MHStandardSettingsMetaClass->copyParentProperties();
	BEGIN_CLASS_INIT(MHStandardSettings)
   ADD_MAX_PLATFORM_CARD_PROP(maxNumObjectsPerLeaf,0)
   ADD_MAX_PLATFORM_CARD_PROP(multiResGridSize,0)

}

void MHStandardSettings::shutdown() {
   delete MHStandardSettingsMetaClass;
}


// ----


MHStandardSettings::MHStandardSettings() {
   maxNumObjectsPerLeaf = 65536;
   multiResGridSize = 128;
}



