//---------------------------------------------------------------------------
#ifndef MHGeoRangeIteratorAdaptorH
#define MHGeoRangeIteratorAdaptorH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "HierarchicalIteratorAdaptor.h"
//---------------------------------------------------------------------------

namespace geoxl {

class POINTCLOUDS_API MHGeoRangeIteratorAdaptor : public HierarchicalIteratorAdaptor
{
 protected:

   protected:
   GeometricRange *m_range;
   AAT POSITION;


   virtual bool pointMeetsCond()
   {
      return  m_range->intersects(m_base->get3f(POSITION));
   }

   virtual bool nodeMeetsCond()
   {
      return m_range->intersects(m_hr->getBoundingBox());
   }


 public:
   MHGeoRangeIteratorAdaptor(PointCloudIterator* native, const VertexDescriptor *vd, GeometricRange *r);
   ~MHGeoRangeIteratorAdaptor();

};


}






#endif
