//---------------------------------------------------------------------------
#include "stdafx.h"

//---------------------------------------------------------------------------
#include "MHSelectionIteratorAdaptor.h"
#include "PointSet.h"
#include "PointSet_templCode.h"
#include "PointSetIterator.h"
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------


MHSelectionIteratorAdaptor::MHSelectionIteratorAdaptor
        ( PointCloudIterator* native, const VertexDescriptor *vd)
        :HierarchicalIteratorAdaptor(native, vd)
{
   //Check for flags
   pAssert(m_vd->providesAttribute("flags"));
   FLAGS = m_vd->getToken("flags");

   //goto first selected Point
   this->reset();

}

MHSelectionIteratorAdaptor::~MHSelectionIteratorAdaptor(){
}