//---------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------
#include "PointCloud.h"
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------



MetaClass* PointCloud::PointCloudMetaClass = NULL;

const MetaClass* PointCloud::getInstanceClass() const {
   return getClass();
}

const MetaClass* PointCloud::getClass() {
   if (PointCloudMetaClass == NULL) {
      PointCloudMetaClass = new MetaClass("PointCloud", "no description.",
                                          NULL, sizeof(PointCloud));
   }
   return PointCloudMetaClass;
}

void PointCloud::init(const MetaClass *parentClass) {
   ((MetaClass*)getClass())->init(parentClass, MetaClass::FIRST_VERSION + 2);
   PointCloudMetaClass->copyParentProperties();
}

void PointCloud::shutdown() {
   delete PointCloudMetaClass;
}


// ----

PointCloud::PointCloud() {}

PointCloud::~PointCloud() {}

