// bind unbind contexte umgebungen und opengl states problematisch
// probleme beim volumengenerator
// anbindung und darstellung des shaders bei qt eigener editor
// shadermaterialeditorwidget und vorallem nach dem begriff suichen um zu sehen wie es eingebunden wird
// nicht slices sondern frontface zeichnen und gegebenen pixelshaderverwenden
// schoenes qt interface
// shader und transferfunktionen
// 3d statt 2d textur
// shadermaterial
// das wichtigste sind die rendermodes 2 aus dem XRAY und der pixelshader
// XRAY ist ein tool das den rendermodus aussetzt und selbst rendert
// konvexe huelle bzw. boundingbox rendern
// ich muss das materiual and die punktwolke uebergeben bzw den pixelshader
// oder in shadermaterila intern verwenden
// shader von martin hier rein hardcoden
// texturgenerierung aus xray ... abgucken. sehr gut!
// contexte? warum muss es glshadermaterial sein? wie kann ich es weiter geben
// CONTEXTE!!! debuggen
// nicht schwarz sondern transparent -> alpha kanal
// qt user interface
// intensitaeten normalisieren [0..1]
// initialisierung wenn kein material vorhanden ist stimmt so nicht
// wenn standard material vorher genommemn wird ist alles weiss
// anderenfalls alles schwarz
//---------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------
#include "GLVolumeMaterialGeneral.h"
//---------------------------------------------------------------------------
#include "GLShader.h"
#include "InCoreVolume.h"
#include "CopyObjectProperties.h"
#include "RegularVolume.h"
#include "GLAttachments.h"
#include <GL/gl.h>
#include <glh/glh_extensions.h>
#include <gl/glext.h>
//---------------------------------------------------------------------------
using namespace geoxl;
using namespace std;
//---------------------------------------------------------------------------

static const string INITIAL_V_SHADER_SRC =
string("struct TIn")+
string("{")+
string("	float4 pos : POSITION;")+
string("	float4 tex : TEXCOORD0;")+
string("};")+
string("")+
string("struct TOut")+
string("{")+
string("	float4 pos : POSITION;")+
string("	float3 rayDir : TEXCOORD0;")+
string("	float3 startPos : TEXCOORD1;")+
string("};")+
string("")+
string("TOut main( TIn IN)")+
string("{")+
string("	TOut OUT;")+
string("	OUT.pos = mul( glstate.matrix.mvp, IN.pos );")+
string("")+
string("	float3 camPos = glstate.matrix.invtrans.modelview[0][3].xyz;")+
string("")+
string("	OUT.rayDir = (camPos - IN.pos);")+
string("	OUT.startPos = IN.pos;")+
string("	return OUT;")+
string("}");

static const string INITIAL_P_SHADER_SRC =
string("struct TIn")+
string("{")+
string("	float3 rayDir : TEXCOORD0;")+
string("	float3 startPos : TEXCOORD1;")+
string("};")+
string("")+
string("// returns intersection point if dot(rayDir,plane_normal) < -eps")+
string("// otherwise returns 100")+
string("float intersectPlane( float3 plane_pos, float3 plane_normal, float3 pos,")+
string("	float3 rayDir )")+
string("{")+
string("	const float eps = 1e-20;")+
string("	return dot(rayDir,plane_normal) < -eps ?")+
string("		-(dot( pos, plane_normal) - dot( plane_pos, plane_normal)) / dot(rayDir,plane_normal) ")+
string("	:")+
string("		100;")+
string("}")+
string("")+
string("float3 main(TIn IN,")+
string("	uniform sampler3D volumeTexture,")+
string("	uniform sampler2D transferFunction")+
string(" ) : COLOR")+
string("{")+
string("	const float numSteps = 200;")+
string("")+
string("	float3 ret = 0;")+
string("	float alpha = 4/numSteps;")+
string("	float3 pos = IN.startPos;")+
string("	float3 rayDir = -normalize(IN.rayDir);")+
string("	float3 inc = rayDir*1.42;")+
string("")+
string("	// calculate intersection point where ray exits the volume")+
string("	float3 lowerCorner = 0;")+
string("	float3 upperCorner = 1;")+
string("	float exit_t = 100;")+
string("	exit_t = min( exit_t, intersectPlane( lowerCorner, float3(1,0,0), pos, inc ) );")+
string("	exit_t = min( exit_t, intersectPlane( lowerCorner, float3(0,1,0), pos, inc ) );")+
string("	exit_t = min( exit_t, intersectPlane( lowerCorner, float3(0,0,1), pos, inc ) );")+
string("	exit_t = min( exit_t, intersectPlane( upperCorner, -float3(1,0,0), pos, inc ) );")+
string("	exit_t = min( exit_t, intersectPlane( upperCorner, -float3(0,1,0), pos, inc ) );")+
string("	exit_t = min( exit_t, intersectPlane( upperCorner, -float3(0,0,1), pos, inc ) );")+
string("")+
string("	exit_t *= numSteps;")+
string("	inc /= numSteps;")+
string("")+
string("	const int blockSize = 32;")+
string("	int numBlockSteps = exit_t/blockSize;")+
string(" ")+
string("	for( int i=0;i<numBlockSteps;i++)")+
string("	{")+
string("		for( int j=0;j<blockSize;j++ )")+
string("		{")+
string("			float3 intensity = tex2D(transferFunction, float2(tex3D( volumeTexture, pos ).x,0.5)).xyz;")+
string("			ret += intensity * alpha;	")+
string("			pos += inc;")+
string("		}")+
string("	}")+
string("	for( int i=numBlockSteps*blockSize;i<exit_t;i++ )")+
string("	{")+
string("		float3 intensity = tex2D(transferFunction, float2(tex3D( volumeTexture, pos ).x,0.5)).xyz;")+
string("		ret += intensity * alpha;	")+
string("		pos += inc;")+
string("	}")+
string("	return ret;")+
string("}");

IMPLEMENT_GEOXL_CLASS(GLVolumeMaterialGeneral, 0) {
	BEGIN_CLASS_INIT(GLVolumeMaterialGeneral );
}

GLVolumeMaterialGeneral::GLVolumeMaterialGeneral()
{
   setName( "unnamed VolumeMaterialGeneral" );

   m_VertexShader = new Shader;
   m_VertexShader->setShaderType( Shader::VERTEX );
   m_VertexShader->setShaderClass(Shader::CLASS_CG);
   m_VertexShader->setSource(INITIAL_V_SHADER_SRC);
   m_PixelShader  = new Shader;
   m_PixelShader->setShaderType(  Shader::FRAGMENT );
   m_PixelShader->setShaderClass(Shader::CLASS_CG);
   m_PixelShader->setSource(INITIAL_P_SHADER_SRC);
	m_Texture3D = NULL;

}

GLVolumeMaterialGeneral::~GLVolumeMaterialGeneral()
{
	delete m_VertexShader;
	delete m_PixelShader;
	delete m_Texture3D; // gefaehrlich?
}

void GLVolumeMaterialGeneral::assign(const Object* obj, CopyContext *context)
{
	copyObjectProperties(obj, this);
}

void GLVolumeMaterialGeneral::draw( Scene * scene, SceneGraphState *state, SceneObject * obj, SceneObjectIterator *iter,
GLContext * context, MemoryManager * mm, const int32 includeFlags, const int32 excludeFlags)
{
// es passiert garnichts wenn das ding keine textur hat!!!

	// check input arguments
	if(!obj) // ist das das volumen? andere argumente auch checken
		return;
	SecondaryDataStructureIterator *attIt = dynamic_cast<SecondaryDataStructureIterator*>(iter);
	if (!attIt)
		return;
	AttachedDataContainer *attachments = attIt->lockAttachments();
	GLTextureAttachment *gltexAttachment = dynamic_cast<GLTextureAttachment*>(
		attachments->getData( GLTextureAttachment::generateID(context, "Vol_Tex_3f") )
	);
	VolumetricIterator * vIter = dynamic_cast<VolumetricIterator *>( iter );
	if (!vIter)
		return;
	const RegularVolume *volume = vIter->lockVolumeBlockRead();
	if(!volume)
		return;

	Vector3i vDimensions = volume->getExtends(); 

// 4 kanaele statt einem. aber wo wird das in sowas wie color uebersetzt? martin

	if(!gltexAttachment)
	{
		gltexAttachment = new GLTextureAttachment();
		m_Texture3D = new GLTexture3D(context);
		vector<float> data(vDimensions[0]*vDimensions[1]*vDimensions[2]*4);	
		AAT intensityAAT = volume->getDescr()->getToken("intensity");
		float * dataPtr = &data[0];
		card32 index = 0;
		for (card32 w = 0; w < (card32)vDimensions[0]; w++)
		{
			for (card32 h = 0; h < (card32)vDimensions[1]; h++)
			{
				for (card32 d = 0; d < (card32)vDimensions[2]; d++)
				{
					*dataPtr++ = volume->getVoxelData()->get1f(index++, intensityAAT );
				}
			}
		}
		m_Texture3D->createFromMemory( vDimensions[0], vDimensions[1], vDimensions[2], 1, (char*)&data[0],false, GL_FLOAT );
      gltexAttachment->setupTA(m_Texture3D,"Vol_Tex_3f", mm, true);
      attachments->attachData(gltexAttachment);
	}
	else
	{
		m_Texture3D = dynamic_cast<GLTexture3D*>(gltexAttachment->getTexture());
		if (!m_Texture3D)
			return;
	}

	// The BoundingBox ...
	BoundingBox3f bb = volume->getBoundingBox();
	float32 bbw = bb.getSideLength(0);
	float32 bbh = bb.getSideLength(1);
	float32 bbd = bb.getSideLength(2);
	
	// ... has 8 corners ...
	vector<Vector3f> bb_corners;
	bb_corners.push_back( makeVector3f( bb.lowerCorner[0],bb.lowerCorner[1],bb.lowerCorner[2] ));
	bb_corners.push_back( makeVector3f( bb.upperCorner[0],bb.lowerCorner[1],bb.lowerCorner[2] ));
	bb_corners.push_back( makeVector3f( bb.lowerCorner[0],bb.upperCorner[1],bb.lowerCorner[2] ));
	bb_corners.push_back( makeVector3f( bb.upperCorner[0],bb.upperCorner[1],bb.lowerCorner[2] ));
	bb_corners.push_back( makeVector3f( bb.lowerCorner[0],bb.lowerCorner[1],bb.upperCorner[2] ));
	bb_corners.push_back( makeVector3f( bb.upperCorner[0],bb.lowerCorner[1],bb.upperCorner[2] ));
	bb_corners.push_back( makeVector3f( bb.lowerCorner[0],bb.upperCorner[1],bb.upperCorner[2] ));
	bb_corners.push_back( makeVector3f( bb.upperCorner[0],bb.upperCorner[1],bb.upperCorner[2] ));
	
	// ... and 6 faces
	vector<Vector3f> points;
	points.push_back( bb_corners[0] );
	points.push_back( bb_corners[1] );
	points.push_back( bb_corners[3] );
	points.push_back( bb_corners[2] );

	points.push_back( bb_corners[5] );
	points.push_back( bb_corners[4] );
	points.push_back( bb_corners[6] );
	points.push_back( bb_corners[7] );

	points.push_back( bb_corners[1] );
	points.push_back( bb_corners[5] );
	points.push_back( bb_corners[7] );
	points.push_back( bb_corners[3] );

	points.push_back( bb_corners[4] );
	points.push_back( bb_corners[0] );
	points.push_back( bb_corners[2] );
	points.push_back( bb_corners[6] );

	points.push_back( bb_corners[1] );
	points.push_back( bb_corners[0] );
	points.push_back( bb_corners[4] );
	points.push_back( bb_corners[5] );

	points.push_back( bb_corners[2] );
	points.push_back( bb_corners[3] );
	points.push_back( bb_corners[7] );
	points.push_back( bb_corners[6] );

	glPushAttrib(GL_ALL_ATTRIB_BITS);
	glEnable(GL_TEXTURE_3D);

// kann auch oben definiert werden
	GLShaderCG * glVertexShader = dynamic_cast< GLShaderCG* >(m_VertexShader->createShader(context));
	if(!glVertexShader)
		return
	glVertexShader->bind();
	GLShaderCG * glPixelShader = dynamic_cast< GLShaderCG* >(m_PixelShader->createShader(context));
	if(!glPixelShader)
		return
	glPixelShader->bind();

// MATERIAL AN PUNKTWOLKE WEITERGEBEN ?!?!?!?!?!?
	
	GLTextureSettings settings;
	m_Texture3D->bind(settings, 0);

	glEnable( GL_CULL_FACE );
	glBegin( GL_QUADS );
	for(card32 i = 0; i < points.size(); i++)
	{
		Vector3f t = (points[points.size()-1-i] - bb.lowerCorner);
		t[0] /= bbw;
		t[1] /= bbh;
		t[2] /= bbd;
		glTexCoord3fv( t.data() );
		glVertex3fv( points[points.size()-1-i].data());
	}
	glEnd();

	glVertexShader->unbind();
	glPixelShader->unbind();

	glPopAttrib();




//	const VertexDescriptor *vd = volume->getDescr();
// VAD? volume attribute descriptor
/*
	// mit vd in den intensity kanal des volumens schreiben mithilfe der texturdaten?
	BoundingBox3f bb = volume->getBoundingBox();

	glPushAttrib(GL_ALL_ATTRIB_BITS);
	glEnable(GL_TEXTURE_3D);
	GLTextureSettings settings;
	
	texture->bind(settings, 0);
	
	glBegin(GL_POINTS);
	float32 wf,hf,df;
	for (card32 w = 0; w < volume->getWidth(); w++)
	{
		for (card32 h = 0; h < volume->getHeight(); h++)
		{
			for (card32 d = 0; d < volume->getDepth(); d++)
			{
				wf = (float32)w/(float32)volume->getWidth();
				hf = (float32)h/(float32)volume->getHeight();
				df = (float32)d/(float32)volume->getDepth();
				glColor3f(1.0, 0.0, 0.0);
				Vector3f v = makeVector3f(wf, hf, df);
				v = v.componentProduct(bb.upperCorner-bb.lowerCorner) + bb.lowerCorner;
				glVertex3fv(v.data());
			}
		}
	}
	glEnd();
	//glBegin(GL_QUADS);
	//	glTexCoord3f(0.0f, 0.0f, 0.0f);
	//	glVertex3f(0.0f, 0.0f, 0.0f);
	//	glTexCoord3f(1.0f, 0.0f, 0.0f);
	//	glVertex3f(1.0f, 0.0f, 0.0f);
	//	glTexCoord3f(1.0f, 1.0f, 0.0f);
	//	glVertex3f(1.0f, 1.0f, 0.0f);
	//	glTexCoord3f(0.0f, 1.0f, 0.0f);
	//	glVertex3f(0.0f, 1.0f, 0.0f);

	//glEnd();
	glPopAttrib();


	texture->unbind(0);
	vIter->unlockVolume();
	attIt->unlockAttachments();
*/
}
