//---------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------
#include "SGSetVariable4FNode.h"
//---------------------------------------------------------------------------
#include "SGVariable4FStateChanger.h"
#include "Tools.h"
#include "LinearAlgebra_templCode.h"
#include "CopyObjectProperties.h"
//---------------------------------------------------------------------------
using namespace geoxl;
//---------------------------------------------------------------------------



IMPLEMENT_GEOXL_CLASS(SGSetVariable4FNode, 0)
{
	BEGIN_CLASS_INIT(SGSetVariable4FNode)
   ADD_STRING_PROP(variable, 0)
   ADD_VECTOR4F_PROP(value, 0)
}

//---------------------------------------------------------------------------

SGSetVariable4FNode::SGSetVariable4FNode() {
   variable = "NULL_VECTOR";
   value = NULL_VECTOR4F;
}

void SGSetVariable4FNode::assign(const Object* obj, CopyContext *context)
{
	copyObjectProperties(obj, this);
}

//---------------------------------------------------------------------------


SGStateChanger *SGSetVariable4FNode::getNodeEntryStateChange(const SceneGraphState *state) {
   forget(state);
   return new SGVariable4FStateChanger(variable, value);
}
