//---------------------------------------------------------------------------
#ifndef SGTimeStateChangerH
#define SGTimeStateChangerH
//---------------------------------------------------------------------------
#include "GlobalDefinitions.h"
//---------------------------------------------------------------------------
#include "SGStateChanger.h"
//---------------------------------------------------------------------------

namespace geoxl {

///
///   plz comment your class
///
class SCENEGRAPH_API SGTimeStateChanger : public SGStateChanger {
	GEOXL_CLASS( SGTimeStateChanger )
 private:
	float32 oldTime;
	float32 newTime;

 public:
	SGTimeStateChanger();

	void setup(float32 newTime);

   virtual void doChange(SceneGraphState *state);
   virtual void undoChange(SceneGraphState *state);
};

}

#endif